Search.setIndex({"docnames": ["index", "introduction/advanced_topics", "introduction/custom_modifiers", "introduction/data_manipulation", "introduction/data_model", "introduction/examples", "introduction/examples/batch_scripts/cna_bond_indices", "introduction/examples/batch_scripts/creating_particles", "introduction/examples/batch_scripts/voronoi_indices", "introduction/examples/modifiers/calculate_local_entropy", "introduction/examples/modifiers/msd_calculation", "introduction/examples/modifiers/order_parameter_calculation", "introduction/examples/modifiers/select_overlapping_particles", "introduction/examples/modifiers/shrink_wrap_box", "introduction/examples/modifiers/visualize_local_lattice_orientation", "introduction/examples/overlays/data_plot", "introduction/examples/overlays/highlight_particle", "introduction/examples/overlays/scale_bar", "introduction/file_io", "introduction/overview", "introduction/pipelines", "introduction/rendering", "introduction/running", "modules/ovito", "modules/ovito_data", "modules/ovito_io", "modules/ovito_io_ase", "modules/ovito_modifiers", "modules/ovito_pipeline", "modules/ovito_vis"], "filenames": ["index.rst", "introduction/advanced_topics.rst", "introduction/custom_modifiers.rst", "introduction/data_manipulation.rst", "introduction/data_model.rst", "introduction/examples.rst", "introduction/examples/batch_scripts/cna_bond_indices.rst", "introduction/examples/batch_scripts/creating_particles.rst", "introduction/examples/batch_scripts/voronoi_indices.rst", "introduction/examples/modifiers/calculate_local_entropy.rst", "introduction/examples/modifiers/msd_calculation.rst", "introduction/examples/modifiers/order_parameter_calculation.rst", "introduction/examples/modifiers/select_overlapping_particles.rst", "introduction/examples/modifiers/shrink_wrap_box.rst", "introduction/examples/modifiers/visualize_local_lattice_orientation.rst", "introduction/examples/overlays/data_plot.rst", "introduction/examples/overlays/highlight_particle.rst", "introduction/examples/overlays/scale_bar.rst", "introduction/file_io.rst", "introduction/overview.rst", "introduction/pipelines.rst", "introduction/rendering.rst", "introduction/running.rst", "modules/ovito.rst", "modules/ovito_data.rst", "modules/ovito_io.rst", "modules/ovito_io_ase.rst", "modules/ovito_modifiers.rst", "modules/ovito_pipeline.rst", "modules/ovito_vis.rst"], "titles": ["OVITO Python Reference", "Advanced topics", "User-defined modifiers", "Manipulating data", "Data model", "Code examples", "Example B2: Computing CNA bond indices", "Example B3: Creating particles and bonds programmatically", "Example B1: Computing Voronoi indices", "Example M6: Calculate local entropy", "Example M1: Calculating mean square displacement", "Example M2: Custom order parameter calculation", "Example M4: Finding overlapping particles", "Example M5: Shrink-wrap simulation box", "Example M3: Color mapping to visualize local lattice orientation", "Example O2: Including data plots in rendered images", "Example O3: Highlight a particle", "Example O1: Scale bar", "File I/O", "High-level API overview", "Data pipelines", "Rendering &amp; visualization", "Introduction", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.data</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.io.ase</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.modifiers</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.pipeline</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">ovito.vis</span></code>"], "terms": {"thi": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "manual": [0, 2, 4, 9, 13, 22, 24, 27, 29], "describ": [0, 2, 5, 18, 22, 24, 27, 29], "program": [0, 2, 3, 4, 5, 8, 10, 18, 19, 21, 22, 23, 27, 28, 29], "interfac": [0, 1, 2, 3, 4, 18, 19, 20, 22, 24, 25, 26, 27, 28, 29], "pro": [0, 22, 26, 29], "desktop": [0, 22, 23, 29], "applic": [0, 1, 2, 4, 22, 23, 29], "standalon": 0, "packag": [0, 22, 26, 29], "let": [0, 1, 2, 3, 4, 6, 8, 10, 11, 18, 19, 20, 21, 22, 24, 25, 27, 28, 29], "you": [0, 1, 2, 3, 4, 5, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "integr": [0, 2, 9, 22, 27, 29], "s": [0, 1, 2, 3, 4, 6, 8, 9, 10, 13, 18, 20, 21, 23, 24, 25, 27, 28, 29], "comput": [0, 1, 3, 4, 5, 9, 10, 11, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "render": [0, 1, 2, 4, 5, 16, 17, 18, 20, 22, 23, 24, 25, 27, 28, 29], "capabl": [0, 3, 22], "extern": [0, 1, 7, 18, 19, 20, 24, 25, 26, 28, 29], "extend": [0, 20, 22, 25, 27], "new": [0, 1, 2, 4, 5, 7, 9, 13, 14, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29], "user": [0, 3, 4, 5, 7, 9, 10, 12, 13, 14, 15, 18, 19, 20, 22, 24, 25, 27, 28, 29], "defin": [0, 3, 4, 5, 7, 10, 11, 12, 13, 14, 15, 17, 18, 19, 21, 22, 23, 24, 25, 27, 28, 29], "data": [0, 1, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 21, 22, 23, 25, 26, 27, 28, 29], "process": [0, 2, 4, 7, 9, 19, 24, 27, 28, 29], "visual": [0, 2, 4, 5, 15, 18, 19, 22, 23, 24, 25, 27, 28, 29], "function": [0, 1, 3, 4, 6, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "can": [0, 1, 2, 3, 4, 5, 7, 10, 11, 13, 14, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "access": [0, 2, 3, 4, 5, 6, 8, 10, 11, 18, 21, 23, 24, 25, 27, 28, 29], "from": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "help": [0, 6, 27, 29], "menu": [0, 2, 22, 25], "basic": [0, 23, 24, 27], "onlin": 0, "go": [0, 2, 24, 29], "doc": [0, 2], "org": [0, 22, 29], "introduct": [0, 5, 27], "high": [0, 18, 24, 25, 26, 27], "level": [0, 4, 18, 23, 24, 25, 26, 27, 29], "api": [0, 9], "overview": [0, 4, 25], "file": [0, 1, 2, 3, 4, 6, 7, 8, 10, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29], "i": [0, 2, 3, 4, 6, 8, 11, 14, 19, 20, 22, 23, 24, 25, 27, 28, 29], "o": [0, 1, 2, 19, 20, 22, 23, 24, 28], "pipelin": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 14, 15, 16, 18, 21, 22, 23, 24, 25, 26, 27, 29], "model": [0, 3, 18, 20, 22, 24, 25, 26, 29], "manipul": [0, 2, 4, 19, 22, 23, 24, 28, 29], "modifi": [0, 1, 4, 6, 8, 9, 10, 11, 12, 13, 14, 18, 20, 21, 22, 23, 24, 25, 28, 29], "advanc": [0, 3, 27], "code": [0, 1, 2, 3, 9, 14, 17, 18, 20, 22, 24, 25, 27, 28, 29], "exampl": [0, 1, 2, 3, 4, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29], "io": [0, 1, 2, 6, 8, 10, 18, 19, 20, 22, 23, 24, 27, 28, 29], "ase": 0, "vi": [0, 7, 16, 19, 21, 24, 27], "section": [1, 2, 3, 4, 18, 19, 20, 22, 23, 24, 25, 27], "cover": [1, 22, 24, 27], "sever": [1, 4, 19, 20, 21, 24, 25, 27, 28, 29], "relat": [1, 4, 21, 29], "ovito": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 20, 21], "script": [1, 2, 6, 7, 8, 9, 10, 14, 17, 19, 20, 21, 22, 23, 24, 27, 28, 29], "The": [1, 2, 3, 4, 5, 6, 7, 8, 9, 11, 12, 14, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "export_fil": [1, 2, 10, 18, 19, 20, 22, 24, 25, 27, 28], "output": [1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 16, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29], "disk": [1, 3, 18, 23, 25, 27, 28, 29], "But": [1, 24], "how": [1, 3, 4, 5, 6, 12, 15, 18, 19, 20, 22, 24, 25, 27, 28, 29], "do": [1, 2, 6, 10, 13, 18, 19, 20, 24, 25, 27, 28, 29], "definit": [1, 18, 23, 24, 27, 29], "itself": [1, 2, 23, 24, 27], "includ": [1, 2, 3, 5, 19, 22, 23, 24, 26, 27, 29], "paramet": [1, 2, 5, 9, 12, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "entir": [1, 4, 23, 24, 27, 29], "scene": [1, 2, 3, 7, 15, 16, 18, 19, 21, 22, 23, 24, 25, 27, 28, 29], "state": [1, 2, 3, 19, 23, 27, 29], "us": [1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 15, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "method": [1, 3, 4, 9, 18, 19, 20, 21, 23, 24, 25, 27, 28, 29], "thu": [1, 3, 4, 8, 18, 19, 22, 24, 27, 28, 29], "order": [1, 2, 3, 5, 8, 20, 24, 25, 27, 29], "need": [1, 2, 3, 10, 11, 17, 18, 19, 21, 22, 23, 24, 25, 27, 28, 29], "first": [1, 3, 4, 7, 8, 16, 18, 19, 20, 21, 22, 24, 25, 27, 28, 29], "make": [1, 2, 3, 7, 9, 10, 11, 12, 18, 20, 22, 24, 25, 26, 27, 28, 29], "part": [1, 2, 3, 18, 19, 20, 23, 24, 27, 28, 29], "call": [1, 2, 3, 4, 5, 9, 17, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "its": [1, 2, 3, 4, 7, 10, 11, 19, 20, 21, 23, 24, 25, 27, 28, 29], "add_to_scen": [1, 2, 7, 18, 19, 22, 23, 24, 25, 27, 28, 29], "import": [1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "import_fil": [1, 2, 6, 8, 10, 18, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29], "coordinationanalysismodifi": [1, 15, 20, 24, 27], "input": [1, 3, 4, 6, 8, 9, 10, 11, 13, 14, 17, 18, 20, 23, 24, 25, 26, 27, 28, 29], "simul": [1, 2, 4, 5, 6, 7, 8, 10, 11, 17, 18, 19, 21, 22, 23, 24, 25, 26, 27, 28, 29], "dump": [1, 2, 6, 8, 10, 18, 19, 20, 23, 24, 25, 26, 27, 28, 29], "append": [1, 2, 3, 6, 7, 8, 10, 16, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "cutoff": [1, 6, 9, 12, 19, 20, 24, 27, 28, 29], "3": [1, 3, 4, 6, 7, 8, 9, 11, 13, 14, 16, 18, 19, 20, 21, 22, 24, 27, 28, 29], "4": [1, 3, 6, 7, 8, 9, 13, 14, 15, 17, 24, 27, 28, 29], "mypipelin": 1, "restor": [1, 23], "all": [1, 2, 3, 4, 9, 10, 11, 12, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "them": [1, 2, 3, 4, 6, 7, 14, 18, 21, 22, 24, 27, 28, 29], "avail": [1, 10, 20, 21, 22, 24, 25, 26, 27, 28, 29], "list": [1, 2, 4, 6, 8, 11, 14, 18, 19, 20, 21, 23, 24, 25, 27, 28, 29], "0": [1, 2, 3, 4, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29], "Of": 1, "cours": [1, 24], "also": [1, 2, 3, 4, 18, 19, 22, 23, 24, 25, 27, 28, 29], "possibl": [1, 2, 3, 11, 18, 19, 20, 22, 24, 25, 27, 28, 29], "open": [1, 2, 4, 23, 24, 27, 29], "graphic": [1, 2, 4, 5, 10, 11, 14, 18, 19, 20, 23, 24, 27, 28, 29], "convers": [1, 24], "creat": [1, 2, 3, 4, 5, 6, 9, 10, 11, 12, 13, 15, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "hand": [1, 2, 22, 27], "futur": [1, 29], "either": [1, 11, 19, 20, 21, 23, 24, 27, 28, 29], "runtim": 1, "preload": 1, "when": [1, 2, 3, 4, 10, 11, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29], "run": [1, 10, 11, 19, 22, 23, 25, 26, 28, 29], "interpret": [1, 2, 5, 10, 23, 25, 26, 27, 29], "done": [1, 2, 3, 5, 18, 19, 21, 24, 27], "command": [1, 22, 23, 25, 27, 29], "line": [1, 3, 4, 6, 18, 21, 22, 23, 24, 25, 27, 29], "option": [1, 2, 3, 4, 15, 18, 19, 21, 22, 23, 24, 25, 27, 28, 29], "py": [1, 22], "now": [1, 3, 8, 20, 23, 24, 26, 27, 28], "execut": [1, 2, 5, 12, 20, 22, 23, 24, 27, 28, 29], "an": [1, 2, 3, 4, 7, 8, 11, 14, 15, 16, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "environ": [1, 2, 6, 22, 26, 27, 29], "where": [1, 2, 3, 4, 8, 9, 14, 20, 24, 25, 27, 28, 29], "wa": [1, 3, 4, 18, 23, 24, 27, 28, 29], "alreadi": [1, 3, 13, 19, 20, 22, 24, 25, 27, 29], "popul": [1, 20, 23, 24, 28, 29], "instead": [1, 2, 19, 20, 22, 24, 25, 27, 28, 29], "set": [1, 3, 4, 7, 8, 19, 20, 21, 22, 24, 25, 27, 28, 29], "up": [1, 4, 8, 10, 11, 15, 19, 20, 22, 23, 24, 27, 28, 29], "scratch": [1, 24], "work": [1, 2, 4, 6, 17, 18, 19, 22, 23, 24, 25, 27, 29], "exist": [1, 3, 18, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "were": [1, 19, 23, 27, 29], "replac": [1, 3, 18, 19, 24, 25, 27, 28, 29], "serv": [1, 4, 23, 24, 27, 28, 29], "differ": [1, 2, 4, 7, 9, 19, 21, 24, 25, 27, 28, 29], "one": [1, 2, 3, 4, 11, 12, 13, 18, 19, 20, 23, 24, 25, 27, 28, 29], "sourc": [1, 2, 4, 7, 14, 17, 18, 19, 20, 24, 25, 26, 27, 28, 29], "second_fil": [1, 27, 28], "adjust": [1, 17, 24, 27, 29], "1": [1, 2, 3, 4, 6, 7, 8, 9, 11, 12, 14, 15, 16, 18, 19, 20, 21, 22, 24, 26, 27, 28, 29], "some": [1, 2, 3, 4, 6, 7, 8, 11, 18, 19, 21, 22, 23, 24, 25, 27, 28, 29], "have": [1, 2, 3, 4, 10, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "been": [1, 3, 4, 12, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29], "parallel": [1, 19, 21, 22, 24, 27, 29], "computation": 1, "expens": [1, 3, 27], "polyhedraltemplatematchingmodifi": [1, 27, 29], "clusteranalysismodifi": [1, 4, 24, 27], "computepropertymodifi": [1, 9, 24, 27, 29], "softwar": [1, 29], "base": [1, 4, 6, 21, 24, 25, 27, 28, 29], "engin": [1, 21, 29], "tachyonrender": [1, 21, 24, 29], "osprayrender": [1, 29], "By": [1, 24, 25, 27, 28], "default": [1, 21, 22, 24, 25, 26, 27, 28, 29], "algorithm": [1, 4, 24, 27, 29], "your": [1, 2, 3, 5, 19, 23, 24, 25, 26, 27, 28, 29], "cpu": 1, "determin": [1, 11, 15, 16, 24, 25, 27, 28, 29], "qthread": 1, "idealthreadcount": 1, "which": [1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 14, 15, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "queri": [1, 4, 24, 27, 29], "follow": [1, 2, 3, 5, 6, 7, 9, 11, 14, 17, 18, 19, 20, 22, 24, 25, 27, 28, 29], "qt_compat": [1, 15, 16, 17, 29], "qtcore": [1, 16, 17, 29], "print": [1, 4, 6, 8, 18, 19, 22, 23, 24, 25, 27, 28], "sometim": [1, 19, 20, 27, 28], "desir": [1, 19, 21, 24, 25, 27, 28], "restrict": [1, 2, 22, 27], "singl": [1, 4, 24, 25, 27, 29], "onli": [1, 2, 3, 4, 8, 11, 12, 17, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29], "multipl": [1, 3, 19, 20, 24, 25, 27, 29], "instanc": [1, 2, 3, 4, 18, 19, 20, 21, 23, 24, 25, 27, 28, 29], "achiev": [1, 3, 14, 24], "two": [1, 2, 3, 4, 6, 7, 8, 11, 12, 18, 19, 21, 24, 25, 26, 27, 28, 29], "wai": [1, 2, 18, 19, 21, 22, 24, 27, 28], "both": [1, 3, 8, 22, 24, 25, 27, 29], "support": [1, 4, 11, 18, 21, 24, 25, 27, 29], "nthread": [1, 22], "allow": [1, 2, 3, 5, 12, 14, 19, 21, 22, 24, 25, 27, 28, 29], "overrid": [1, 24, 25, 29], "second": [1, 3, 7, 18, 20, 24, 27, 28, 29], "ovito_thread_count": 1, "variabl": [1, 2, 4, 19, 22, 23, 24, 27], "prior": [1, 27, 28, 29], "invok": [1, 2, 3, 9, 18, 19, 22, 24, 27, 28], "approach": [1, 2, 7, 20, 27], "alwai": [1, 2, 3, 4, 12, 19, 24, 27, 28], "gui": [1, 2, 29], "python": [1, 2, 3, 4, 6, 8, 9, 14, 15, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29], "modul": [1, 2, 3, 4, 6, 8, 15, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29], "export": [1, 2, 4, 6, 7, 10, 20, 24, 25, 27, 28], "own": [2, 3, 5, 19, 24, 26, 27, 28, 29], "particip": [2, 22, 27], "system": [2, 3, 4, 5, 6, 10, 11, 12, 18, 20, 22, 24, 27, 28, 29], "situat": [2, 3, 24, 25, 29], "built": [2, 3, 4, 9, 10, 19, 22, 24, 26, 27, 29], "found": [2, 4, 15, 18, 22, 24, 25, 27, 28], "ar": [2, 3, 4, 5, 8, 11, 12, 13, 14, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "suffici": [2, 18, 24, 27], "solv": 2, "specif": [2, 4, 20, 21, 24, 25, 27, 28, 29], "problem": 2, "develop": [2, 11, 22, 29], "simpli": [2, 14, 19, 24, 26, 27, 28], "get": [2, 4, 5, 9, 16, 19, 20, 22, 23, 24, 27, 28, 29], "automat": [2, 4, 18, 19, 21, 22, 24, 25, 27, 28, 29], "whenev": [2, 18, 19, 22, 24, 27], "result": [2, 3, 4, 5, 8, 10, 11, 15, 18, 20, 21, 22, 24, 27, 28, 29], "must": [2, 3, 14, 18, 19, 24, 25, 27, 28, 29], "signatur": [2, 27, 28], "def": [2, 6, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 24, 27, 28, 29], "frame": [2, 4, 8, 9, 10, 11, 12, 13, 14, 15, 16, 18, 20, 21, 24, 25, 27, 28, 29], "current": [2, 3, 4, 6, 11, 12, 15, 18, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29], "anim": [2, 4, 15, 18, 20, 21, 24, 25, 27, 28, 29], "number": [2, 4, 6, 8, 9, 10, 11, 18, 19, 20, 23, 24, 25, 27, 28, 29], "being": [2, 3, 4, 5, 15, 22, 24, 27, 28, 29], "evalu": [2, 3, 5, 18, 19, 20, 22, 25, 26, 27, 28], "datacollect": [2, 3, 4, 6, 7, 9, 13, 18, 19, 20, 24, 25, 26, 27, 28, 29], "hold": [2, 4, 20, 24, 27], "flow": [2, 20], "down": [2, 20, 27, 29], "should": [2, 18, 19, 20, 21, 22, 24, 25, 27, 28, 29], "oper": [2, 3, 4, 22, 23, 24, 27, 28], "return": [2, 3, 4, 6, 8, 13, 14, 16, 18, 19, 20, 24, 25, 26, 27, 28, 29], "ani": [2, 3, 11, 12, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "valu": [2, 4, 9, 10, 14, 18, 19, 21, 24, 25, 27, 29], "If": [2, 3, 9, 19, 22, 23, 24, 25, 27, 28, 29], "want": [2, 3, 18, 19, 22, 24, 25, 27, 28, 29], "so": [2, 3, 10, 22, 24, 27, 28, 29], "place": [2, 3, 18, 19, 24, 25, 27, 28, 29], "perform": [2, 3, 4, 5, 9, 18, 19, 20, 22, 23, 24, 27, 28, 29], "step": [2, 3, 4, 9, 18, 20, 22, 24, 25, 27, 29], "insert": [2, 3, 4, 7, 10, 14, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29], "within": [2, 3, 4, 7, 9, 10, 12, 14, 18, 20, 22, 24, 27, 28, 29], "version": [2, 3, 5, 11, 14, 22, 23, 24, 27, 29], "editor": [2, 22, 29], "directli": [2, 3, 11, 18, 19, 21, 22, 23, 24, 27, 29], "type": [2, 3, 4, 5, 6, 7, 8, 18, 19, 20, 21, 22, 24, 25, 27, 28, 29], "batch": [2, 10, 19, 24, 27], "my_mod_funct": 2, "arbitrari": [2, 4, 24, 29], "name": [2, 3, 4, 7, 8, 14, 18, 22, 24, 25, 27, 28, 29], "case": [2, 3, 4, 8, 18, 21, 22, 24, 25, 27, 28, 29], "behind": [2, 3, 27, 29], "wrap": [2, 5, 24, 27, 28, 29], "object": [2, 7, 13, 18, 19, 20, 21, 23, 24, 25, 26, 27, 28, 29], "pythonscriptmodifi": [2, 27], "keep": [2, 3, 19, 20, 22, 24, 27, 28], "mind": [2, 19, 22, 24, 27], "mani": [2, 3, 18, 19, 20, 24, 27], "typic": [2, 3, 4, 5, 18, 19, 20, 21, 23, 24, 25, 27, 28, 29], "happen": [2, 18, 19, 20, 24, 25, 27, 28], "In": [2, 3, 4, 8, 11, 14, 18, 19, 20, 21, 22, 24, 25, 27, 29], "routin": [2, 9, 24], "occur": [2, 3, 6, 8, 24, 27, 29], "updat": [2, 11, 12, 17, 20, 24, 27, 28], "interact": [2, 5, 10, 18, 19, 20, 21, 22, 23, 25, 27, 28, 29], "viewport": [2, 15, 17, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29], "imag": [2, 4, 5, 18, 20, 21, 22, 23, 24, 25, 27, 28, 29], "request": [2, 3, 9, 11, 15, 18, 19, 20, 24, 25, 27, 28, 29], "explicitli": [2, 3, 8, 18, 19, 20, 22, 24, 25, 27, 28], "indirectli": 2, "pass": [2, 18, 19, 20, 21, 22, 24, 25, 27, 28, 29], "produc": [2, 3, 4, 12, 18, 21, 23, 24, 25, 27, 28, 29], "upstream": [2, 27], "e": [2, 3, 4, 14, 17, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29], "g": [2, 3, 4, 9, 17, 18, 20, 22, 23, 24, 25, 27, 29], "filesourc": [2, 3, 18, 19, 20, 24, 25, 27, 28, 29], "further": [2, 4, 7, 18, 22, 24, 27, 28, 29], "preced": [2, 3, 10, 20, 24, 27, 28], "ha": [2, 3, 4, 5, 6, 8, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "amend": [2, 3, 28], "after": [2, 19, 20, 22, 23, 24, 27, 28, 29], "subsequ": [2, 12, 18, 22, 23, 24, 27, 28, 29], "It": [2, 3, 4, 6, 8, 9, 10, 11, 19, 22, 23, 24, 25, 26, 27, 28, 29], "note": [2, 3, 4, 11, 14, 18, 19, 20, 22, 24, 25, 26, 27, 28, 29], "subject": [2, 27], "certain": [2, 4, 12, 18, 22, 24, 27, 28], "sinc": [2, 20, 24, 25, 27, 28, 29], "receiv": [2, 4, 24, 27, 28], "through": [2, 3, 4, 18, 19, 21, 22, 23, 24, 25, 27, 28, 29], "noth": [2, 4, 13], "els": [2, 3, 4, 9, 24, 29], "particular": [2, 3, 4, 19, 24, 27], "structur": [2, 3, 4, 6, 7, 8, 19, 20, 22, 24, 25, 27, 28, 29], "add": [2, 3, 4, 7, 19, 23, 24, 27, 28, 29], "remov": [2, 3, 12, 19, 23, 24, 27, 28], "other": [2, 3, 4, 5, 18, 19, 20, 21, 22, 24, 25, 27, 28, 29], "side": [2, 3, 24, 27], "effect": [2, 3, 24, 25, 27, 28, 29], "global": [2, 5, 10, 11, 18, 19, 23, 24, 25, 27, 29], "here": [2, 3, 20, 22, 24, 25, 27, 29], "few": [2, 24], "thing": [2, 5, 19, 22, 25], "insid": [2, 20, 24, 27, 29], "becaus": [2, 3, 21, 22, 24, 27, 28, 29], "thei": [2, 3, 4, 20, 22, 24, 25, 27, 28, 29], "lead": [2, 24, 27, 29], "undesir": 2, "total_energi": 2, "A": [2, 4, 8, 9, 19, 20, 21, 22, 23, 24, 27, 28, 29], "below": [2, 6, 12, 24, 25, 27], "NOT": 2, "chang": [2, 3, 18, 19, 20, 21, 24, 25, 27, 28, 29], "made": [2, 24], "while": [2, 12, 24, 25, 27, 28], "infinit": [2, 24, 27], "loop": [2, 6, 11, 18, 20, 24, 25, 27, 29], "selected_pipelin": [2, 15, 23], "suppos": [2, 27], "collect": [2, 3, 4, 7, 16, 22, 24, 25, 26, 27, 28, 29], "pipeline2": 2, "mai": [2, 3, 4, 10, 12, 14, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "numpi": [2, 3, 4, 6, 8, 9, 10, 11, 13, 14, 22, 24, 27, 28, 29], "sum": [2, 9, 10, 11, 27], "particl": [2, 5, 6, 8, 9, 10, 11, 13, 14, 18, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29], "potenti": [2, 12, 19, 24, 27, 29], "energi": [2, 19, 24, 27, 29], "don": [2, 21, 22, 24, 28, 29], "t": [2, 8, 12, 13, 21, 22, 24, 25, 27, 28, 29], "know": [2, 19], "often": [2, 6, 24, 28], "my_output": 2, "txt": [2, 10, 18, 24, 25, 27], "w": [2, 14, 24, 27, 29], "alter": [2, 3, 4, 20, 24, 28], "content": [2, 3, 22, 23, 24, 25, 27, 29], "sure": [2, 3, 20, 24, 25, 27, 29], "adher": 2, "rule": [2, 27], "share": [2, 3, 19, 24, 27, 28], "ownership": [2, 24], "underscor": [2, 3, 24], "notat": [2, 3, 8, 24, 29], "announc": [2, 24], "modif": [2, 6, 19, 20, 24, 27], "see": [2, 3, 4, 11, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "provid": [2, 3, 4, 10, 11, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29], "variou": [2, 4, 5, 19, 21, 24, 27, 28, 29], "custom": [2, 5, 7, 10, 14, 22, 24, 25, 27, 29], "analysi": [2, 3, 5, 8, 9, 11, 19, 22, 24, 27, 28], "each": [2, 3, 4, 6, 8, 9, 10, 11, 14, 18, 19, 20, 24, 27, 28, 29], "trajectori": [2, 4, 18, 24, 25, 27, 28, 29], "written": [2, 22, 23, 24, 25, 27], "plot": [2, 4, 5, 18, 22, 24, 27], "As": [2, 5, 18, 19, 20, 21, 23, 24, 25, 27, 29], "mention": [2, 19, 20], "previou": [2, 3, 24, 27], "howev": [2, 3, 18, 22, 24, 25, 27, 28], "fed": [2, 28], "back": [2, 4, 18, 22, 23, 24, 26, 27, 29], "store": [2, 3, 4, 9, 10, 11, 14, 18, 19, 21, 23, 24, 25, 27, 28], "standard": [2, 4, 6, 10, 12, 21, 22, 23, 24, 25, 27, 28, 29], "simpl": [2, 3, 4, 22, 24, 25, 27], "quantiti": [2, 18, 24, 25, 27, 29], "attribut": [2, 5, 10, 18, 19, 21, 23, 24, 25, 27, 28, 29], "dictionari": [2, 3, 4, 24, 27], "text": [2, 3, 4, 6, 10, 11, 12, 17, 18, 22, 24, 25, 27, 29], "attr": [2, 10, 18, 24, 25, 27], "format": [2, 4, 6, 10, 18, 19, 24, 25, 27, 28, 29], "select": [2, 3, 10, 12, 18, 19, 21, 22, 23, 24, 25, 27, 28, 29], "tabl": [2, 9, 10, 15, 18, 24, 25, 27], "similar": [2, 18, 24, 25, 27, 29], "per": [2, 3, 4, 9, 10, 11, 14, 18, 24, 25, 27, 28, 29], "properti": [2, 5, 6, 7, 9, 10, 11, 12, 14, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "out": [2, 4, 14, 22, 23, 24, 27, 29], "xyz": [2, 3, 4, 7, 18, 22, 24, 25, 27, 28], "more": [2, 3, 4, 9, 13, 18, 19, 22, 23, 24, 25, 27, 28, 29], "complic": 2, "suitabl": [2, 27], "rather": [2, 3, 4, 24], "over": [2, 6, 9, 11, 12, 20, 24, 25, 27, 29], "rang": [2, 6, 8, 9, 11, 12, 13, 18, 20, 24, 25, 27, 28, 29], "num_fram": [2, 18, 20, 25, 27, 28, 29], "output_fil": [2, 22], "requir": [2, 8, 19, 22, 24, 25, 27, 28, 29], "outlin": [2, 29], "abov": [2, 3, 8, 11, 18, 19, 24, 25, 27, 28, 29], "termin": [2, 5, 22, 24, 27], "cannot": [2, 5, 23, 24, 27], "addit": [2, 3, 4, 18, 19, 20, 22, 24, 25, 27, 28, 29], "read": [2, 3, 18, 20, 24, 25, 28, 29], "For": [2, 3, 4, 11, 18, 20, 21, 22, 24, 25, 27, 28, 29], "could": [2, 14, 18, 24, 27, 28], "extra": [2, 24, 27], "separ": [2, 9, 12, 18, 19, 20, 21, 24, 25, 27, 28, 29], "auxiliari": [2, 24, 27], "outsid": [2, 27, 29], "static": [2, 25, 27, 28], "doe": [2, 13, 18, 20, 22, 24, 26, 27, 28, 29], "depend": [2, 18, 19, 22, 24, 25, 27, 28, 29], "consid": [2, 3, 24, 27], "displac": [2, 3, 5, 21, 24, 27, 28, 29], "vector": [2, 3, 4, 8, 10, 11, 14, 19, 21, 24, 25, 27, 28, 29], "contain": [2, 3, 4, 6, 7, 8, 18, 19, 20, 23, 24, 25, 26, 27, 28, 29], "refer": [2, 3, 4, 9, 11, 13, 22, 24, 27, 28, 29], "coordin": [2, 3, 4, 7, 8, 13, 15, 24, 25, 27, 28, 29], "subtract": [2, 24], "posit": [2, 3, 4, 5, 7, 11, 13, 16, 18, 19, 21, 22, 24, 25, 26, 27, 28, 29], "correspond": [2, 4, 8, 14, 18, 20, 21, 24, 25, 27, 28, 29], "would": [2, 3, 18, 19, 20, 22, 24, 27, 28, 29], "look": [2, 4, 15, 20, 22, 24, 27], "configur": [2, 19, 21, 22, 24, 27, 28, 29], "initi": [2, 3, 9, 10, 18, 19, 20, 24, 27, 28, 29], "sort_particl": [2, 25], "true": [2, 3, 6, 8, 10, 18, 19, 21, 24, 25, 27, 28, 29], "particles_": [2, 3, 8, 9, 11, 12, 14, 24, 27, 28, 29], "create_properti": [2, 3, 7, 9, 11, 12, 14, 24, 27, 28, 29], "main": [2, 20, 22, 28, 29], "thread": [2, 22], "That": [2, 3, 8, 18, 19, 20, 21, 24, 25, 27, 28], "mean": [2, 3, 4, 5, 11, 18, 19, 20, 24, 25, 27, 28, 29], "our": [2, 10, 22, 27, 28], "take": [2, 6, 8, 11, 14, 19, 20, 21, 23, 24, 27, 28, 29], "befor": [2, 3, 19, 20, 21, 22, 24, 27, 28, 29], "control": [2, 12, 19, 21, 24, 25, 27, 28, 29], "mous": [2, 29], "keyboard": 2, "event": [2, 29], "freez": [2, 27], "To": [2, 4, 9, 11, 18, 19, 21, 22, 24, 25, 27, 28, 29], "avoid": [2, 3, 9, 24, 28, 29], "asynchron": 2, "yield": [2, 9, 11, 12, 20, 24, 27, 29], "statement": [2, 3, 11, 23, 24, 27], "temporarili": [2, 3], "give": [2, 3, 11, 19, 21, 24, 27, 29], "chanc": 2, "wait": 2, "repaint": [2, 29], "count": [2, 3, 4, 6, 8, 9, 11, 12, 13, 18, 24, 25, 27, 28, 29], "short": [2, 24, 27, 29], "period": [2, 21, 24, 27, 28, 29], "frequent": [2, 8], "element": [2, 3, 4, 8, 23, 24, 27, 29], "keyword": [2, 18, 19, 24, 25, 28], "cancel": 2, "interrupt": [2, 11], "discontinu": [2, 29], "final": [2, 3, 7, 19, 22, 24, 27, 28], "mechan": [2, 22, 25, 28], "report": [2, 4, 18, 23, 24, 25, 27, 28], "progress": [2, 11, 12, 29], "specifi": [2, 11, 12, 18, 21, 24, 25, 27, 28, 29], "fraction": [2, 24, 27, 29], "displai": [2, 12, 16, 19, 21, 22, 23, 24, 27, 29], "statu": [2, 9, 11, 12], "bar": [2, 5, 9, 11, 12, 15, 24, 27, 29], "moreov": 2, "string": [2, 3, 4, 23, 24, 25, 27, 29], "chapter": 3, "discuss": [3, 24, 29], "pleas": [3, 4, 9, 13, 22, 24, 27, 28, 29], "descript": [3, 24, 25, 27, 29], "organ": [3, 4], "tri": 3, "unnecessari": [3, 28], "copi": [3, 14, 17, 23, 24, 27, 28], "far": [3, 27], "goal": 3, "than": [3, 4, 24, 27, 28, 29], "same": [3, 4, 6, 18, 19, 20, 24, 25, 27, 28], "time": [3, 4, 5, 10, 15, 18, 19, 20, 22, 23, 24, 25, 27, 28, 29], "duplic": [3, 24, 27], "clone": [3, 24], "obtain": [3, 24, 26, 27, 28, 29], "exact": [3, 23, 24], "origin": [3, 19, 24, 25, 27], "data2": [3, 20, 28], "assert": [3, 9, 23, 24], "show": [3, 9, 11, 12, 19, 22, 23, 24, 27, 28, 29], "physic": [3, 24, 27], "word": [3, 18, 20, 24, 27], "just": [3, 4, 20, 22, 24, 25, 27, 29], "too": [3, 24], "simultan": [3, 27], "shallow": [3, 24], "load": [3, 4, 6, 7, 8, 10, 18, 19, 22, 23, 24, 25, 27, 28, 29], "memori": [3, 4, 15, 18, 19, 24, 25, 27, 28], "field": [3, 4, 17, 19, 21, 23, 24, 27, 28, 29], "unmodifi": [3, 19, 28], "master": [3, 28], "enabl": [3, 20, 21, 22, 24, 27, 28, 29], "quick": [3, 24, 27], "re": [3, 18, 20, 25, 27], "without": [3, 7, 18, 22, 24, 25, 27, 28, 29], "reload": 3, "again": [3, 19, 20, 23, 24, 25, 28], "caller": [3, 19], "ineffici": 3, "fulli": [3, 19, 27, 28, 29], "small": [3, 24, 27, 28], "portion": 3, "dataset": [3, 4, 6, 8, 18, 19, 20, 22, 24, 25, 26, 27, 28, 29], "newli": [3, 24, 27, 29], "inform": [3, 4, 5, 8, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29], "come": [3, 24, 29], "plai": 3, "okai": [3, 24, 28], "between": [3, 4, 6, 7, 24, 25, 26, 27, 28, 29], "long": [3, 11, 23, 24, 25, 27, 29], "intend": [3, 19, 24, 27, 28], "implement": [3, 5, 7, 21, 24, 27, 29], "exclus": [3, 24], "otherwis": [3, 22, 23, 24, 27, 29], "unwant": [3, 24], "affect": [3, 24, 27, 29], "anoth": [3, 23, 24, 25, 27, 28], "someon": 3, "Then": [3, 10, 12, 18, 19, 24, 25, 27], "unexpect": [3, 24], "safeguard": 3, "prevent": [3, 29], "accident": 3, "attempt": [3, 24], "boundari": [3, 4, 21, 24, 27, 28, 29], "condit": [3, 4, 24, 27, 28, 29], "flag": [3, 21, 24, 27, 28, 29], "simulationcel": [3, 4, 7, 13, 19, 21, 24, 27, 28, 29], "pbc": [3, 7, 24, 28], "fals": [3, 7, 9, 13, 21, 24, 27, 28, 29], "runtimeerror": [3, 14, 15, 28], "owner": 3, "mutabl": [3, 24], "_": 3, "rais": [3, 14, 15, 17, 24, 26, 28, 29], "error": [3, 24, 28], "detect": [3, 18, 24, 25, 27], "intern": [3, 18, 22, 24, 27, 28], "valid": [3, 9, 20, 24, 27, 29], "caus": 3, "solut": 3, "uniqu": [3, 4, 6, 8, 24, 25, 27], "handi": 3, "shortcut": 3, "cell_": [3, 24], "suffix": [3, 25, 27], "signal": 3, "intent": [3, 28], "check": [3, 22, 24], "whether": [3, 24, 27, 28, 29], "actual": [3, 11, 18, 21, 24, 25, 27, 28, 29], "safe": [3, 24], "referenc": [3, 24, 27, 29], "parent": [3, 4, 24, 29], "child": [3, 4, 24, 27], "propertycontain": [3, 4, 24, 27], "accept": [3, 18, 24, 25, 28, 29], "arrai": [3, 4, 6, 8, 9, 11, 14, 24, 27], "argument": [3, 18, 19, 22, 24, 25, 28, 29], "color_valu": 3, "random": [3, 24, 27, 29], "random_sampl": [3, 24, 29], "size": [3, 4, 15, 16, 19, 21, 24, 27, 29], "color": [3, 4, 5, 7, 20, 21, 24, 27, 29], "we": [3, 8, 10, 11, 12, 13, 18, 19, 20, 21, 23, 24, 26, 27, 29], "necessari": [3, 19, 20, 22, 24, 27, 29], "implicitli": [3, 20, 24, 27], "given": [3, 11, 18, 19, 22, 24, 25, 27, 28, 29], "overwritten": [3, 27], "detail": [3, 4, 11, 19, 27, 29], "document": [3, 4, 9, 13, 18, 19, 24, 25, 27, 28, 29], "like": [3, 4, 18, 22, 23, 24, 25, 27, 28, 29], "repres": [3, 4, 19, 20, 23, 24, 27, 28, 29], "nest": [3, 4, 11, 24, 29], "well": [3, 22, 23, 24, 27, 29], "therefor": 3, "bonds_": [3, 24], "easi": [3, 24], "introduc": [3, 24, 28], "move": [3, 10, 27, 29], "positions_": [3, 24], "10": [3, 7, 8, 9, 16, 17, 24, 25, 28, 29], "8": [3, 7, 8, 14, 20, 21, 24, 27, 29], "5": [3, 4, 6, 7, 8, 9, 11, 12, 16, 19, 20, 24, 27, 28, 29], "2": [3, 4, 6, 7, 8, 9, 10, 11, 12, 14, 16, 18, 19, 20, 21, 24, 27, 28, 29], "length": [3, 4, 6, 8, 14, 17, 21, 24, 27, 29], "unit": [3, 4, 17, 21, 24, 27, 29], "along": [3, 19, 24, 27, 28, 29], "x": [3, 8, 14, 18, 19, 22, 24, 25, 27, 28, 29], "axi": [3, 9, 11, 13, 14, 24, 27, 28, 29], "z": [3, 14, 18, 19, 22, 24, 25, 27, 28, 29], "index": [3, 6, 8, 12, 16, 24, 25, 27], "subset": [3, 24, 27, 29], "those": [3, 24, 27, 29], "whose": [3, 12, 24, 27, 29], "non": [3, 4, 5, 10, 17, 20, 24, 25, 27, 28, 29], "zero": [3, 9, 14, 24, 25, 27, 28, 29], "altern": [3, 10, 19, 22, 24, 25, 26, 27, 29], "compon": [3, 11, 24, 25, 27, 29], "class": [3, 4, 6, 11, 12, 18, 19, 20, 21, 22, 23, 24, 27, 28, 29], "primit": [3, 21], "numer": [3, 4, 8, 9, 24, 25, 27, 28, 29], "associ": [3, 4, 18, 24, 27, 29], "whole": [3, 4, 13, 18, 24], "snapshot": [3, 8, 18, 24, 25, 27, 28], "furthermor": [3, 4, 19, 22, 23, 24, 25, 27, 28, 29], "dislocation_dens": 3, "dislocationanalysi": [3, 24, 27], "total_line_length": [3, 24, 27], "volum": [3, 9, 24, 27, 29], "calcul": [3, 5, 8, 16, 18, 24, 27, 28], "ratio": [3, 27, 29], "total": [3, 4, 24, 27, 28], "disloc": [3, 24, 25, 27, 29], "crystal": [3, 11, 14, 24, 27], "previous": [3, 22, 24, 27, 28], "dislocationanalysismodifi": [3, 24, 27, 29], "ever": 3, "demonstr": [3, 5, 6, 7, 8, 15, 24, 25, 27, 29], "three": [3, 4, 6, 7, 15, 18, 19, 21, 23, 24, 25, 27, 28, 29], "span": [3, 24], "individu": [3, 4, 10, 18, 24, 25, 27, 28, 29], "column": [3, 4, 10, 18, 19, 22, 24, 25, 27, 28], "3x4": [3, 13, 24, 27, 29], "matrix": [3, 9, 13, 19, 24, 27, 29], "15": 3, "b": [3, 24, 27], "30": [3, 24, 27], "c": [3, 22, 24, 27], "dimens": [3, 4, 24, 27, 29], "rescal": [3, 11], "togeth": [3, 4, 24, 27], "affinetransformationmodifi": [3, 27], "normal": [3, 9, 14, 19, 22, 24, 25, 27, 28, 29], "emploi": [3, 9, 20, 24, 27, 28], "appli": [3, 9, 12, 18, 24, 27, 28, 29], "expressionselectionmodifi": [3, 18, 24, 27, 29], "express": [3, 8, 9, 18, 24, 27, 29], "potentialenergi": [3, 18, 27], "6": [3, 7, 8, 11, 24, 27, 29], "deleteselectedmodifi": [3, 12, 22, 24, 27], "act": [3, 11, 19, 27, 28], "exit": [3, 29], "easier": [3, 27, 29], "build": [3, 13, 19, 22, 24], "full": [3, 25, 27], "sub": [3, 4, 9, 24, 27, 29], "fragment": [4, 24], "compos": [4, 20, 29], "box": [4, 5, 7, 21, 24, 27, 29], "bond": [4, 5, 18, 20, 24, 25, 27, 28, 29], "find": [4, 5, 11, 18, 24, 27], "deriv": [4, 21, 27], "common": [4, 18, 22, 24, 27, 28], "dataobject": [4, 21, 24, 25, 29], "form": [4, 20, 24, 27, 28, 29], "relationship": 4, "manag": [4, 19, 23, 24, 27, 28, 29], "turn": [4, 21, 24, 27, 28, 29], "At": 4, "topmost": 4, "hierarchi": [4, 24], "fundament": [4, 14], "complet": [4, 21, 24, 27, 29], "top": [4, 15, 21, 24, 29], "kind": [4, 19, 24, 25, 27, 28, 29], "seri": [4, 18, 24, 25, 27, 29], "basi": [4, 6, 24, 27, 29], "via": [4, 5, 9, 21, 22, 24, 29], "molecul": [4, 24, 27], "center": [4, 12, 16, 24, 27, 29], "represent": [4, 21, 24, 27, 28, 29], "uniform": [4, 24, 27, 29], "mass": [4, 24, 25, 27], "etc": [4, 18, 20, 21, 24, 25, 27, 29], "n": [4, 6, 8, 14, 24, 27], "voxel": [4, 20, 24, 27, 29], "grid": [4, 24, 25, 27, 29], "loos": 4, "held": 4, "special": [4, 24, 27], "gener": [4, 6, 7, 15, 18, 19, 21, 22, 24, 27, 28, 29], "identifi": [4, 24, 25, 27, 29], "prescrib": 4, "mandatori": 4, "present": [4, 5, 10, 24, 27], "mimic": [4, 29], "kei": [4, 24, 27], "color_properti": [4, 27], "conveni": [4, 19, 24], "getter": 4, "datat": [4, 15, 24, 25, 27], "voxelgrid": [4, 24, 25, 27, 29], "behav": [4, 22, 24, 28], "pretti": 4, "much": [4, 27], "73": [4, 19, 24], "24230194": [4, 19], "77583981": [4, 19], "87618297": [4, 19], "49": [4, 19], "00170135": [4, 19], "35": [4, 8, 19, 24, 28], "47610092": [4, 19], "27": [4, 19], "92519951": [4, 19], "50": [4, 19, 24, 27, 28], "36349869": [4, 19], "39": [4, 19], "02569962": [4, 19], "25": [4, 19], "61310005": [4, 19], "42": [4, 19], "71210098": [4, 19], "59": [4, 19], "44919968": [4, 19], "38": [4, 19], "6432991": [4, 19], "9917984": [4, 19], "63": [4, 19], "53770065": [4, 19], "36": [4, 8, 19], "33330154": [4, 19], "44": [4, 19], "17670059": [4, 19], "61": [4, 19, 24], "49860001": [4, 19], "37": [4, 19], "5401001": [4, 19], "dimension": [4, 6, 8, 14, 15, 18, 19, 21, 23, 24, 25, 27, 28, 29], "scalar": [4, 24, 27, 29], "equal": [4, 8, 24, 27], "28655": 4, "shape": [4, 6, 8, 14, 21, 24, 27, 28, 29], "dim": [4, 24], "dtype": [4, 6, 8, 11, 24], "float64": [4, 24], "int32": [4, 24], "int64": [4, 24], "chosen": [4, 24, 27], "token": [4, 24], "pair": [4, 9, 12, 24, 25, 27, 29], "reader": [4, 25, 27, 28], "relev": 4, "timestep": [4, 10, 18, 24, 25, 27], "inspect": [4, 27], "inspector": 4, "panel": 4, "clusteranalysi": [4, 24, 27], "cluster_count": [4, 24, 27], "reflect": [4, 27, 28, 29], "cluster": [4, 22, 24, 27, 29], "emb": [4, 29], "dynam": [4, 7, 15, 18, 19, 20, 22, 24, 25, 27, 28, 29], "textlabeloverlai": [4, 29], "extens": [4, 22, 24], "tabul": [4, 24, 27], "consist": [4, 20, 22, 24, 27, 28, 29], "row": [4, 6, 8, 24, 27], "histogrammodifi": [4, 24, 27], "commonneighboranalysismodifi": [4, 6, 19, 24, 25, 27], "graph": [4, 24, 27], "chart": [4, 18, 24, 27], "scatter": [4, 24, 27], "histogram": [4, 6, 8, 15, 24, 27], "lookup": [4, 24, 27], "write": [4, 5, 6, 11, 12, 18, 19, 22, 24, 25, 27, 28, 29], "purpos": [4, 18, 20, 22, 24, 27], "constructsurfacemodifi": [4, 24, 27, 29], "construct": [4, 19, 24, 26, 27, 29], "triangul": [4, 29], "spatial": [4, 9, 24, 27], "region": [4, 9, 24, 27, 29], "fill": [4, 24, 26, 27, 28, 29], "surfacemesh": [4, 24, 25, 27, 29], "vertic": [4, 8, 21, 24, 27, 29], "face": [4, 8, 24, 27, 29], "page": [5, 9, 13, 18, 24, 27, 29], "group": [5, 27], "categori": [5, 27], "action": [5, 22, 23], "manner": [5, 27], "autom": [5, 22], "task": [5, 22], "accomplish": [5, 27], "even": [5, 19, 24, 25, 27, 28, 29], "b1": [5, 27], "voronoi": [5, 27], "indic": [5, 11, 23, 24, 27, 29], "b2": [5, 27], "cna": [5, 27], "b3": 5, "programmat": [5, 10, 19, 22, 24, 28, 29], "everi": [5, 11, 17, 20, 22, 24, 27, 28, 29], "m1": 5, "squar": [5, 11, 21, 24, 27, 29], "m2": 5, "m3": 5, "map": [5, 18, 24, 25, 27, 28, 29], "local": [5, 6, 24, 25, 27, 28, 29], "lattic": [5, 11, 24, 27], "orient": [5, 11, 19, 21, 24, 27, 29], "m4": 5, "overlap": [5, 27], "m5": 5, "shrink": 5, "m6": 5, "entropi": 5, "o1": 5, "scale": [5, 16, 24, 27, 29], "o2": 5, "o3": 5, "highlight": [5, 24, 27, 29], "createbondsmodifi": [6, 24, 27, 28, 29], "character": [6, 27], "triplet": [6, 24, 29], "topolog": [6, 7, 18, 24, 25, 27, 28], "surround": [6, 27, 29], "network": [6, 24], "enumer": [6, 24, 27], "bondsenumer": [6, 24], "helper": [6, 8, 24], "atom": [6, 7, 8, 9, 11, 14, 18, 22, 24, 25, 26, 27, 28, 29], "cna_pair_typ": 6, "number_of_such_pair": 6, "sy": [6, 22, 27, 29], "analyz": [6, 20, 22, 27], "mode": [6, 24, 27, 28, 29], "bondbas": [6, 27], "heavi": 6, "cna_indic": 6, "frequenc": [6, 8], "magic": [6, 8], "row_histogram": [6, 8], "ca": [6, 8, 24, 25, 27], "ascontiguousarrai": [6, 8], "view": [6, 8, 19, 21, 23, 24, 29], "invers": [6, 8, 24, 27], "return_index": [6, 8], "return_invers": [6, 8], "bincount": [6, 8], "bond_enumer": 6, "particle_index": [6, 9, 24], "stdout": 6, "bond_index_list": 6, "bonds_of_particl": [6, 24], "local_cna_indic": 6, "unique_triplet": 6, "triplet_count": 6, "respect": [6, 10, 11, 24, 25, 27, 29], "zip": 6, "end": [6, 20, 24, 25, 27, 28, 29], "creation": [7, 27, 28], "cell": [7, 9, 13, 19, 20, 21, 24, 25, 27, 28, 29], "fly": [7, 19, 27], "staticsourc": [7, 26, 28], "po": [7, 24], "7": [7, 8, 24, 27, 29], "9": [7, 8, 14, 18, 24, 27, 29], "pos_prop": 7, "type_prop": 7, "particletyp": [7, 24, 25, 27, 29], "id": [7, 8, 24, 25, 27], "cu": [7, 8, 24, 27, 28], "ni": [7, 24], "third": [7, 18, 24, 27, 29], "my_data": 7, "141": 7, "23": 7, "my_prop": [7, 29], "my": [7, 18, 24, 27, 29], "line_width": [7, 24, 29], "bond_topolog": [7, 24], "voronoianalysismodifi": [8, 24, 27], "distribut": [8, 15, 24, 27], "polyhedra": [8, 27], "amorph": 8, "polyhedron": [8, 27], "term": [8, 21, 24, 27, 29], "schlaefli": 8, "edg": [8, 24, 27, 29], "most": [8, 18, 19, 24, 29], "64": [8, 24], "zr": [8, 24, 28], "bulk": [8, 27], "metal": 8, "glass": 8, "icosahedron": 8, "12": [8, 11, 24, 27, 29], "five": 8, "lammp": [8, 18, 19, 24, 25, 27, 28], "chemic": [8, 24, 27], "radiu": [8, 16, 24, 27, 28, 29], "why": 8, "radii": [8, 24, 27, 28, 29], "polydispers": 8, "tessel": [8, 27], "assign_particle_radii": 8, "atom_typ": 8, "particle_types_": [8, 24, 28], "type_by_id_": [8, 24, 28], "assign": [8, 13, 19, 24, 27, 28, 29], "55": [8, 24, 28], "voro": 8, "compute_indic": [8, 27], "use_radii": [8, 27], "edge_threshold": [8, 27], "m": [8, 22, 24, 26, 27], "maximum": [8, 14, 22, 24, 25, 27, 29], "voro_indic": 8, "sort": [8, 24, 25, 27], "descend": [8, 27], "sort_indic": 8, "argsort": 8, "unique_indic": 8, "ten": 8, "entri": [8, 18, 24, 25, 27], "1f": 8, "tupl": [8, 23, 24, 27, 29], "100": [8, 19, 21, 24, 25, 27], "float": [8, 11, 24, 25, 27, 29], "len": [8, 9, 10, 11, 14, 24, 27], "12274": 8, "11": [8, 24], "7485": 8, "5637": 8, "4857": 8, "3415": 8, "2927": 8, "2900": 8, "2068": 8, "2063": 8, "1662": 8, "fingerprint": 9, "r": [9, 11, 24, 27, 29], "visit": [9, 24, 27], "neighbor": [9, 11, 12, 24, 27, 29], "spheric": [9, 24], "around": [9, 12, 16, 24, 27, 29], "learn": [9, 13, 24, 27, 29], "about": [9, 13, 27, 29], "cutoffneighborfind": [9, 12, 24], "distanc": [9, 11, 12, 24, 27, 28, 29], "central": [9, 11, 12, 24, 27], "averag": [9, 24, 25, 27], "neighborhood": [9, 27], "post": [9, 27, 29], "np": [9, 11, 14, 24, 27], "int": [9, 13, 23, 24, 27, 28, 29], "sigma": 9, "use_local_dens": 9, "compute_averag": 9, "average_cutoff": 9, "messag": [9, 23], "overal": [9, 29], "densiti": [9, 24, 27], "global_rho": 9, "finder": [9, 12, 24], "local_entropi": 9, "empti": [9, 13, 24, 27, 28, 29], "bin": [9, 22, 24, 25, 27], "nbin": 9, "integrand": 9, "linspac": [9, 24, 28], "num": 9, "rsq": 9, "precomput": 9, "factor": [9, 27, 29], "g_m": 9, "prefactor": 9, "pi": 9, "sqrt": [9, 27], "divis": 9, "iter": [9, 12, 20, 24, 27, 29], "r_ij": 9, "neighbor_dist": [9, 24], "r_ji": 9, "r_diff": 9, "expand_dim": 9, "exp": 9, "estim": 9, "local_volum": 9, "rho": 9, "1e": [9, 14, 24], "log": [9, 23, 25], "trapz": 9, "math": [9, 14, 19, 21, 27], "divid": [9, 10, 14, 24, 27], "output_properti": [9, 24, 27], "operate_on": [9, 24, 27], "cutoff_radiu": [9, 27], "numneighbor": 9, "neighbor_express": [9, 27], "msd": 10, "magnitud": [10, 24, 27], "displacement_magnitud": 10, "featur": [10, 19, 25, 27, 29], "calculatedisplacementsmodifi": [10, 21, 27, 28, 29], "calculate_msd": 10, "rest": 10, "msd_data": 10, "multiple_fram": [10, 18, 24, 25, 27, 28], "paper": [11, 27], "phy": 11, "rev": 11, "lett": 11, "86": 11, "5530": 11, "label": [11, 15, 17, 24, 29], "belong": [11, 18, 24, 27], "liquid": 11, "solid": [11, 27, 29], "fcc": [11, 24, 25, 27], "phase": [11, 22, 27], "nearest": [11, 24, 27], "ideal": [11, 27], "denot": [11, 24, 29], "phi": [11, 24], "involv": [11, 24, 27, 29], "closest": [11, 24, 27], "nearestneighborfind": [11, 24], "util": [11, 12, 24, 29], "start": [11, 18, 20, 22, 24, 28, 29], "scope": 11, "constant": [11, 24, 27, 28, 29], "lattice_paramet": 11, "110": 11, "reference_vector": 11, "asarrai": [11, 24], "account": [11, 24, 27], "num_neighbor": [11, 27], "order_param": 11, "prepar": [11, 12, 22, 29], "neigh_find": 11, "oparam": 11, "neigh": [11, 12, 24], "deviat": [11, 27], "squared_devi": 11, "linalg": [11, 14, 24], "norm": [11, 14, 24], "delta": [11, 24, 28], "contribut": 11, "best": 11, "match": [11, 14, 18, 24, 25, 27, 29], "min": [11, 13, 27], "feedback": 11, "search": [12, 24], "elimin": 12, "among": [12, 24], "overlap_dist": 12, "nearbi": [12, 24, 27], "onc": [12, 18, 19, 20, 24, 25, 28], "hasn": 12, "mark": [12, 24, 29], "yet": [12, 24, 25], "test": [12, 24, 27], "ensur": [12, 24, 28], "close": [12, 15, 24, 27, 29], "break": 12, "what": [13, 21, 22, 24, 27], "There": 13, "max": [13, 27], "coords_min": 13, "amin": [13, 27], "coords_max": 13, "amax": [13, 27], "x_max": 13, "x_min": 13, "y_max": 13, "y_min": 13, "z_max": 13, "z_min": 13, "diag": 13, "isn": [13, 24], "create_cel": [13, 24], "polyhedredr": 14, "templat": [14, 25, 27], "ptm": [14, 24, 27], "poli": [14, 27], "quaternion": [14, 27], "rotat": [14, 16, 24, 27, 29], "zone": 14, "translat": [14, 16, 24, 27, 29], "rgb": [14, 24, 27, 29], "past": [14, 17], "window": [14, 17, 22, 27, 29], "quaternions_to_color": 14, "qs": 14, "nx4": 14, "nx3": [14, 24, 27], "project": [14, 16, 19, 21, 22, 24, 29], "rodrigu": 14, "space": [14, 16, 17, 19, 21, 24, 25, 27, 29], "rs": 14, "y": [14, 18, 19, 22, 24, 25, 27, 28, 29], "zeros_lik": 14, "rr": 14, "hack": 14, "theta": [14, 24, 27], "arctan": 14, "radian": [14, 19, 21, 29], "62": 14, "overlai": [15, 17, 22, 29], "matplotlib": [15, 22], "radial": [15, 24, 27], "agg": 15, "activ": [15, 23, 24, 27, 28, 29], "backend": [15, 29], "off": [15, 21, 24, 27, 28], "screen": [15, 16, 17, 29], "pyplot": 15, "plt": 15, "qtgui": [15, 16, 17, 29], "arg": [15, 16, 17, 22, 29], "rdf": [15, 24, 27], "No": [15, 27, 29], "rdf_data": 15, "xy": [15, 16, 24, 25, 27], "inch": 15, "dpi": 15, "80": [15, 27], "plot_width": 15, "plot_height": 15, "figur": [15, 21, 24], "fig": 15, "ax": [15, 27, 29], "subplot": 15, "figsiz": 15, "patch": 15, "set_alpha": 15, "titl": [15, 24, 29], "tight_layout": 15, "buffer": [15, 27], "buf": 15, "canva": [15, 29], "print_to_buff": 15, "qimag": [15, 29], "res_x": 15, "res_i": 15, "img": 15, "format_rgba8888": 15, "paint": [15, 29], "onto": [15, 24], "painter": [15, 16, 17, 29], "drawimag": 15, "particlesvi": [16, 21, 24, 29], "pindex": 16, "point": [16, 23, 24, 25, 27, 29], "project_point": [16, 29], "none": [16, 23, 24, 25, 26, 27, 28, 29], "particle_typ": [16, 24, 27], "type_by_id": [16, 24, 27], "pixel": [16, 27, 29], "screen_radiu": 16, "project_s": [16, 17, 29], "draw": [16, 24, 29], "dash": 16, "circl": [16, 24, 29], "pen": 16, "qpen": [16, 17], "qt": [16, 17, 29], "dashlin": 16, "setwidth": 16, "setcolor": 16, "qcolor": [16, 17], "255": [16, 17], "setpen": [16, 17], "drawellips": 16, "qpointf": 16, "arrow": [16, 21, 24, 27, 29], "arrow_shap": 16, "qpolygonf": 16, "40": [16, 17, 27, 29], "setbrush": 16, "qbrush": 16, "45": 16, "drawpolygon": 16, "fix": [17, 24, 27, 28], "nm": 17, "shown": [17, 24, 27, 28, 29], "pictur": [17, 21, 24, 27, 29], "bar_length": 17, "angstrom": 17, "bar_color": 17, "label_text": 17, "f": [17, 24, 25, 27], "label_color": 17, "is_perspect": [17, 29], "except": [17, 29], "perspect": [17, 19, 21, 22, 29], "screen_length": 17, "geometri": [17, 21, 24, 27, 29], "height": [17, 29], "07": [17, 29], "margin": [17, 29], "02": [17, 29], "rect": 17, "qrectf": 17, "rectangl": [17, 29], "fillrect": 17, "font": [17, 29], "setpixels": 17, "setfont": 17, "drawtext": [17, 29], "aligncent": 17, "connect": [18, 24, 27, 29], "earlier": [18, 19], "other_simul": 18, "unlik": [18, 20, 24], "appear": [18, 21, 24, 25, 27, 28, 29], "visibl": [18, 19, 21, 22, 23, 24, 27, 28, 29], "topic": [18, 19, 24], "sequenc": [18, 19, 20, 22, 24, 25, 27, 28, 29], "pattern": [18, 25], "1000": 18, "2000": 18, "wildcard": [18, 25], "path": [18, 23, 25, 27, 28, 29], "directori": [18, 22, 25], "file_list": 18, "dir_a": [18, 25], "dir_b": [18, 25], "dir_c": 18, "tell": [18, 20, 22, 27], "save": [18, 19, 22, 23, 25, 27, 29], "quickli": [18, 24], "scan": 18, "multi": [18, 27, 29], "discov": [18, 27], "demand": 18, "jump": [18, 27], "movi": [18, 20, 21, 22, 29], "md": [18, 25, 27, 28], "molecular": [18, 24, 27], "loadtrajectorymodifi": [18, 25, 27, 28], "traj_mod": [18, 27], "fetch": 18, "legaci": [18, 25], "outputfil": 18, "filenam": [18, 19, 21, 23, 24, 25, 29], "One": [18, 27, 28], "expressionselect": [18, 27, 29], "criterion": [18, 27], "Such": [18, 20, 22, 24], "evolut": [18, 27], "potenergi": 18, "531": 18, "540": 18, "522": 18, "502": 18, "familiar": 19, "concept": [19, 20], "respons": [19, 21, 24, 29], "context": [19, 22, 23, 24, 28, 29], "wire": [19, 25, 28], "care": [19, 24, 28], "0x7f9ea70aefb0": 19, "reconfigur": 19, "reus": 19, "colorcodingmodifi": [19, 24, 27, 29], "slicemodifi": [19, 24, 27, 28], "instanti": [19, 27], "constructor": [19, 24, 27], "only_select": [19, 27], "equival": [19, 24, 25, 27], "obvious": 19, "recommend": [19, 22], "known": [19, 21, 24, 27], "sequenti": [19, 20], "outputdata": 19, "pipe": 19, "leav": [19, 24, 27], "essenti": [19, 22, 24], "heterogen": 19, "attributedataobject": 19, "148": 19, "147995": 19, "74": [19, 24], "0739975": 19, "07200623": 19, "03600311": 19, "0756073": 19, "03780365": 19, "enter": [19, 28], "input_data": 19, "output_data": 19, "right": [19, 22, 24, 27, 29], "viewpoint": 19, "seen": [19, 29], "vp": [19, 21, 24, 29], "camera_po": [19, 21, 29], "150": [19, 21], "camera_dir": [19, 21, 24, 29], "fov": [19, 21, 29], "60": [19, 21], "virtual": [19, 27, 29], "camera": [19, 21, 22, 29], "angl": [19, 21, 24, 27, 29], "zoom_al": [19, 21, 24, 29], "render_imag": [19, 21, 24, 29], "myimag": 19, "png": [19, 21, 24, 29], "800": [19, 21], "600": [19, 21], "aspect": [19, 25, 29], "arrang": [20, 27], "filter": [20, 27, 29], "triangl": [20, 24, 29], "mesh": [20, 24, 25, 27, 29], "destruct": [20, 24], "repeat": 20, "workflow": [20, 22], "repeatedli": [20, 22, 28], "ident": [20, 24], "attach": [20, 21, 24, 25, 27, 28, 29], "ad": [20, 23, 24, 27, 28, 29], "assigncolormodifi": [20, 27], "last": [20, 23, 24, 27, 28], "immedi": [20, 24, 28], "trigger": [20, 27, 28], "left": [20, 23, 24, 29], "closer": [20, 27, 29], "recomput": [20, 27], "data1": [20, 28], "trajectory_": 20, "data_frame0": 20, "data_frame1": 20, "data_frame2": 20, "wrong": [20, 28], "atomicstrainmodifi": [20, 27, 28], "block": [20, 28], "longer": [20, 24, 27], "correct": [20, 24, 27], "ii": 20, "simulationcellvi": [21, 24, 29], "0x7f9a414c8060": 21, "0x7fc3650a1c20": 21, "rendering_color": [21, 24, 29], "red": [21, 24, 27], "datavi": [21, 24, 29], "hide": 21, "cubic": [21, 27, 29], "vectorvi": [21, 27, 29], "blue": 21, "front": [21, 24, 29], "ortho": [21, 29], "freeli": 21, "usual": [21, 29], "forget": 21, "reset": [21, 24, 29], "area": [21, 24, 27, 29], "choos": 21, "reason": [21, 24, 25, 28], "zoom": 21, "becom": [21, 24, 27, 29], "render_anim": [21, 29], "background": [21, 29], "avi": [21, 29], "fp": [21, 29], "20": [21, 24, 27, 28, 29], "speed": [21, 24, 29], "qualiti": [21, 29], "openglrender": [21, 27, 29], "fast": [21, 24, 28, 29], "hardwar": [21, 29], "acceler": [21, 29], "opengl": [21, 29], "tachyon": [21, 29], "shadow": [21, 29], "direct_light_intens": [21, 29], "layer": [22, 29], "expos": [22, 24], "framework": [22, 29], "labori": 22, "carri": [22, 27, 29], "remove_hydrogen": 22, "hydrogen": [22, 27], "delet": [22, 24, 27, 28], "selecttypemodifi": [22, 27], "input_fil": 22, "h": [22, 24, 27], "easili": 22, "preconfigur": 22, "ship": 22, "choic": [22, 27, 29], "explain": 22, "later": [22, 24, 25, 27, 28, 29], "especi": 22, "dure": [22, 24, 25, 27, 28, 29], "observ": 22, "outcom": 22, "startup": 22, "enrich": 22, "download": 22, "pypi": 22, "repositori": 22, "pip": [22, 26], "instruct": [22, 27], "http": [22, 25], "anaconda": 22, "miniconda": 22, "channel": 22, "conda": 22, "strict": 22, "prioriti": 22, "forg": 22, "languag": [22, 27], "preinstal": 22, "locat": [22, 24, 25, 27, 28, 29], "subdirectori": 22, "linux": 22, "app": 22, "maco": 22, "ex": 22, "confus": 22, "hello": [22, 29], "me": 22, "x86_64": 22, "consol": [22, 25, 27], "remot": [22, 25, 28, 29], "machin": 22, "possess": [22, 24, 29], "regular": [22, 24, 27, 29], "argv": [22, 27, 29], "setup": 22, "everyth": [22, 23, 27], "anymor": 22, "debug": 22, "processor": [22, 24], "myscript": 22, "embed": [22, 24, 26], "cpython": 22, "setuptool": 22, "nativ": [22, 27], "fail": [22, 25, 27], "compat": 22, "univers": 23, "video": [23, 29], "session": [23, 28], "retriev": [23, 24, 27, 28], "version_str": 23, "encompass": 23, "exactli": [23, 24, 27, 29], "str": [23, 24, 25, 27, 28, 29], "remove_from_scen": [23, 28], "del": [23, 24, 28, 29], "compris": [23, 27], "macro": 23, "enable_log": [23, 24, 27], "begin": [23, 24, 27, 28, 29], "unnotic": 23, "stderr": 23, "2d": [24, 27, 29], "3d": [24, 27, 29], "volumetr": [24, 27, 29], "trajectorylin": [24, 27, 29], "polyhedr": [24, 27], "trianglemesh": [24, 27, 29], "triangular": [24, 27], "dislocationnetwork": [24, 25, 27, 29], "discret": [24, 27, 29], "burger": [24, 27, 29], "elementtyp": [24, 27, 29], "bondtyp": [24, 27], "dislocationseg": 24, "effici": [24, 27], "inherit": [24, 27], "bond_typ": [24, 27], "bond_type_list": 24, "length_prop": 24, "bondsvi": [24, 27, 29], "flat_shad": [24, 29], "width": [24, 27, 29], "bond_vector": 24, "opposit": [24, 27], "track": [24, 25], "shift": 24, "direct": [24, 27, 29], "cross": [24, 27, 28, 29], "product": 24, "dot": [24, 27], "pbc_vector": 24, "transpos": 24, "facilit": 24, "transform": [24, 27, 28, 29], "3x3": [24, 27], "summar": [24, 27], "snippet": [24, 27], "unwrap": [24, 27, 28], "mathbf": [24, 27], "v": 24, "_b": 24, "_a": 24, "cdot": [24, 27], "n_x": 24, "n_y": 24, "n_z": 24, "transpar": [24, 27, 29], "add_bond": 24, "pbcvec": 24, "integ": [24, 27, 29], "delta_vector": 24, "pbc_shift": 24, "undefin": 24, "permit": 24, "unord": 24, "warn": 24, "underli": 24, "invalid": [24, 27, 28], "usag": [24, 26, 27, 28], "gz": [24, 25, 27, 29], "atom_styl": [24, 25, 27, 28, 29], "bondlength": 24, "bond_length": 24, "bonds_enum": 24, "bond_index": 24, "data_collect": [24, 26], "prefetch": 24, "ptype": 24, "type_of_neighbor": 24, "distance_squar": 24, "fact": 24, "find_at": 24, "coord": [24, 27], "contrast": 24, "coincid": 24, "offset": [24, 27, 28, 29], "lot": 24, "better": [24, 27], "neighbor_vector": 24, "vec": 24, "piec": 24, "elementari": 24, "entiti": 24, "next": [24, 29], "bunch": 24, "accessor": 24, "surfac": [24, 27, 29], "success": [24, 27], "veri": [24, 27, 28, 29], "idx": 24, "arang": [24, 27], "constructsurfacemesh": [24, 27], "surface_area": [24, 27], "snapshot_140000": 24, "140000": 24, "ncluster": 24, "commonneighboranalysi": [24, 25, 27], "fcc_fraction": 24, "compute_fcc_fract": 24, "n_fcc": 24, "might": 24, "retain": 24, "inexpens": 24, "still": 24, "protect": 24, "against": 24, "make_mut": 24, "deep": 24, "vis_param": 24, "condition": 24, "maintain": [24, 27, 29], "boolean": [24, 27, 29], "logic": 24, "roughli": [24, 27, 29], "item": 24, "setattr": 24, "create_particl": [24, 28], "param": [24, 25, 26, 28], "preserv": [24, 27, 29], "06": [24, 29], "83": 24, "81": 24, "79": 24, "88": 24, "77": 24, "charge_density_grid": 24, "charg": [24, 25, 27], "flat": [24, 27, 29], "flavor": 24, "get_vertic": 24, "predefin": [24, 27], "continu": [24, 27, 29], "trace": [24, 27, 29], "generatetrajectorylinesmodifi": [24, 27, 29], "triangle_mesh": 24, "abstract": [24, 27, 29], "concret": [24, 27, 28], "themselv": [24, 27], "target": [24, 27], "timeaveragingmodifi": [24, 27], "meaning": 24, "subobj": 24, "least": [24, 25], "convert": [24, 26, 27, 29], "remain": [24, 27, 28], "doesn": [24, 28], "synchron": 24, "subclass": [24, 27], "interv": [24, 27, 29], "evenli": 24, "equis": 24, "techniqu": [24, 27, 29], "plot_mod": 24, "plotmod": 24, "co": [24, 26, 27, 28], "These": [24, 25], "trigonometr": 24, "14": [24, 27, 29], "sin": [24, 27, 28], "y1y2": 24, "stack": [24, 27], "barchart": 24, "hcp": [24, 27], "bcc": [24, 27], "65": 24, "97": 24, "75": [24, 29], "four": 24, "axis_label_x": 24, "trig": 24, "func": 24, "explicit": [24, 25, 28, 29], "absenc": 24, "equispac": 24, "implicit": [24, 27], "noplot": 24, "famili": 24, "extract": [24, 27, 29], "dislocationvi": [24, 27, 29], "diamond": [24, 27], "input_crystal_structur": [24, 27], "cubicdiamond": [24, 27], "cell_volum": [24, 27], "segment": [24, 27, 29], "true_burgers_vector": [24, 27], "Or": [24, 27], "paraview": [24, 25, 27], "vtk": [24, 25, 27], "polylin": 24, "clip": 24, "domain": [24, 27], "set_seg": 24, "cluster_id": 24, "custom_color": 24, "crystallit": [24, 27], "cartesian": [24, 25, 27, 29], "flip": [24, 29], "sens": [24, 25, 27], "seg": 24, "dislocations_": 24, "neg": [24, 27, 28], "flipud": 24, "121": 24, "allclos": 24, "scheme": [24, 25, 27], "impos": 24, "coloring_mod": [24, 29], "is_infinite_lin": 24, "is_loop": 24, "spatial_burgers_vector": 24, "type_by_nam": [24, 27], "inact": 24, "identif": [24, 27], "structureidentificationmodifi": [24, 27], "symbol": 24, "greater": [24, 29], "less": [24, 27], "xyz_coord": 24, "ascend": 24, "correctli": [24, 27], "smaller": [24, 27, 29], "technic": [24, 29], "find_al": 24, "core": [24, 27], "neigh_idx": 24, "neigh_vec": 24, "unspecifi": 24, "wise": [24, 27], "skip": [24, 27, 28, 29], "atomist": [24, 26], "establish": [24, 27], "prop": 24, "tid": 24, "assum": [24, 25], "si": 24, "backface_cul": [24, 29], "cull": 24, "polygon": [24, 27, 29], "awai": [24, 27, 28, 29], "viewer": [24, 29], "load_shap": 24, "highlight_edg": [24, 27, 29], "load_default": 24, "databas": 24, "filepath": 24, "obj": [24, 25], "stl": [24, 25], "tetrahedron": 24, "setup_particle_typ": 24, "geometr": [24, 27, 28], "sphere": [24, 27, 29], "cylind": [24, 29], "spherocylind": [24, 29], "ellipsoid": [24, 29], "superquadr": [24, 29], "presenc": [24, 29], "aspher": [24, 29], "round": [24, 29], "switch": [24, 29], "perman": 24, "nylon": 24, "320": [24, 29], "240": [24, 29], "use_mesh_color": 24, "intrins": 24, "vdw_radiu": [24, 27], "van": [24, 27], "der": [24, 27], "waal": [24, 27], "decid": 24, "enough": [24, 27, 29], "free": [24, 27], "layout": [24, 29], "angular": [24, 29], "momentum": 24, "veloc": [24, 25, 27, 29], "centrosymmetri": [24, 27], "deform": [24, 27, 28], "gradient": [24, 27, 29], "xx": [24, 27], "yx": 24, "zx": 24, "yy": [24, 27], "zy": 24, "xz": [24, 27], "yz": [24, 27], "zz": [24, 27], "dipol": [24, 27, 29], "dna": 24, "strand": 24, "elast": [24, 27], "strain": [24, 25, 27], "forc": [24, 27, 29], "kinet": 24, "nucleobas": 24, "nucleotid": 24, "spin": 24, "tensor": [24, 27], "stress": [24, 27], "stretch": [24, 27], "torqu": 24, "add_particl": 24, "increment": [24, 28], "create_bond": 24, "return_pbcvec": 24, "minimum": [24, 27, 28], "convent": [24, 25, 27, 28], "wrapper": 24, "r_a": 24, "r_b": 24, "shortest": 24, "bool": 24, "dihedr": 24, "improp": 24, "remap_indic": 24, "ndarrai": 24, "slice": [24, 27, 28], "storag": [24, 25], "101": 24, "99": 24, "compar": [24, 27], "permut": 24, "did": [24, 27], "optim": [24, 27], "remap": 24, "behavior": [24, 25, 27], "suppli": 24, "expect": [24, 27], "hydrogen_typ": 24, "hydrogen_indic": 24, "flatnonzero": 24, "structure_typ": 24, "th": [24, 27], "vectori": [24, 27, 29], "d": [24, 27], "modifiable_posit": 24, "position_": 24, "encod": [24, 27, 29], "node": 24, "tprop": 24, "fe": 24, "human": 24, "readabl": 24, "188": 24, "313": 24, "972": 24, "564": 24, "050": 24, "consecut": [24, 25], "similarli": 24, "fe_type_id": 24, "count_nonzero": [24, 27], "957": 24, "classif": [24, 27], "component_count": 24, "component_nam": [24, 25, 27], "raise_error": 24, "keyerror": 24, "type_id": [24, 27], "id_si": 24, "si_atom_count": 24, "type_by_name_": [24, 27], "renam": 24, "structure_types_": 24, "hexagon": [24, 27], "wurtzit": 24, "abc": 24, "dict": 24, "has_select": 24, "name_list": 24, "myint": 24, "infer": 24, "myvector": 24, "old": [24, 27], "delete_el": 24, "mask": [24, 27], "delete_indic": 24, "under": [24, 27, 28, 29], "cast": [24, 27, 29], "parallelepip": 24, "fourth": [24, 27, 29], "pmatrix": 24, "a_x": 24, "b_x": 24, "c_x": 24, "o_x": 24, "a_i": 24, "b_y": 24, "c_y": 24, "o_i": 24, "a_z": 24, "b_z": 24, "c_z": 24, "o_z": 24, "major": [24, 27], "is2d": 24, "ignor": [24, 25, 27, 28, 29], "twice": 24, "larg": [24, 27, 29], "orthogon": [24, 29], "l_x": 24, "l_y": 24, "l_z": 24, "lx": 24, "ly": [24, 27], "lz": 24, "wirefram": [24, 29], "ra": 24, "rb": 24, "reduc": [24, 25, 27, 29], "abl": [24, 27], "latter": [24, 25], "bring": 24, "reciproc": [24, 27], "bmatrix": 24, "real": [24, 27], "frac": 24, "qquad": 24, "mathrm": [24, 27], "absolut": [24, 27], "submatrix": 24, "tripl": 24, "ab": 24, "det": 24, "volume2d": 24, "v_": 24, "precis": [24, 25, 27], "manifold": [24, 27], "createisosurfacemodifi": [24, 27, 29], "coordinationpolyhedramodifi": [24, 27], "intersect": [24, 29], "to_triangle_mesh": 24, "Being": 24, "enclos": [24, 27, 29], "exterior": [24, 27], "locate_point": 24, "degener": 24, "discrimin": 24, "space_filling_region": 24, "truncat": [24, 27], "cap": [24, 29], "hole": 24, "trimesh": [24, 25], "surface_mesh": [24, 27], "plane": [24, 27], "cut": [24, 27, 28, 29], "get_clipping_plan": 24, "set_clipping_plan": 24, "transient": 24, "independ": [24, 27, 28], "sign": [24, 27], "ep": 24, "reserv": 24, "interior": [24, 27, 29], "threshold": [24, 27], "disabl": [24, 27, 28, 29], "never": [24, 27], "unstabl": 24, "facemap": 24, "Will": [24, 27], "surfacemeshtopolog": 24, "vertex": [24, 27, 29], "halfedg": 24, "vertex_count": 24, "face_count": 24, "edge_count": 24, "depict": [24, 29], "half": [24, 27], "circular": 24, "bound": [24, 27, 29], "link": [24, 29], "said": 24, "first_vertex_edg": 24, "next_vertex_edg": 24, "first_face_edg": 24, "next_face_edg": 24, "prev_face_edg": 24, "adjacent_fac": 24, "count_face_edg": 24, "count_manifold": 24, "count_vertex_edg": 24, "find_edg": 24, "vertex1": 24, "vertex2": 24, "first_edge_vertex": 24, "second_edge_vertex": 24, "first_face_vertex": 24, "connec": 24, "head": [24, 28, 29], "has_opposite_edg": 24, "revers": [24, 27, 28, 29], "adjac": [24, 27], "opposite_edg": 24, "has_opposite_fac": 24, "partner": 24, "opposite_fac": 24, "forward": [24, 28], "counter": 24, "clockwis": 24, "foward": 24, "backward": 24, "rememb": 24, "reach": 24, "count_edg": 24, "start_edg": 24, "next_manifold_edg": 24, "outgo": 24, "get_neighboring_fac": 24, "opp_edg": 24, "trajectoryvi": [24, 27, 29], "particle_id": 24, "time_stamp": 24, "stamp": 24, "someth": 24, "low": 24, "sent": 24, "gpu": 24, "trianglemeshvi": [24, 27, 29], "n_": 24, "get_fac": 24, "set_fac": 24, "vertex_indic": 24, "set_vertic": 24, "parallelogram": 24, "chgcar": [24, 27], "electron": 24, "vasp": [24, 25, 27], "spatialbinningmodifi": [24, 27, 29], "unstructur": 24, "isosurfac": [24, 27], "outer": [24, 29], "03": [24, 29], "nx": 24, "ny": 24, "nz": 24, "field_data": 24, "voxelgridvi": [24, 27, 29], "linear": [24, 27, 29], "slowest": 24, "vari": [24, 25, 27], "fortran": 24, "flatten": 24, "isolevel": [24, 27], "resiz": [24, 27, 29], "pov": 25, "rai": [25, 29], "compress": 25, "zlib": 25, "librari": 25, "charact": 25, "conjunct": [25, 27, 28], "imd": 25, "poscar": 25, "fhi": 25, "aim": 25, "gsd": [25, 27], "hoomd": 25, "netcdf": 25, "amber": 25, "binari": [25, 27], "povrai": 25, "refin": [25, 29], "start_fram": [25, 28], "end_fram": [25, 28], "every_nth_fram": 25, "prefer": 25, "digit": 25, "17": 25, "style": [25, 29], "hybrid": 25, "atom_substyl": 25, "suppress": 25, "omit_mass": 25, "ignore_identifi": 25, "contigu": [25, 27], "sftp": 25, "url": [25, 28], "won": [25, 27, 29], "addition": [25, 27, 29], "animat": 25, "variant": 25, "combin": [25, 27, 28, 29], "sim": 25, "200": [25, 27], "sim_a": 25, "sim_b": 25, "frame_index": 25, "sourcefil": 25, "sourcefram": [25, 27], "unless": [25, 27, 28, 29], "hint": 25, "write_data": 25, "full_model": 25, "hybrid_model": 25, "tag": 25, "appropri": [25, 27], "touch": 25, "reorder": 25, "former": 25, "primarili": 25, "rare": 25, "auto": 25, "input_format": 25, "castep": 25, "cfg": 25, "cif": 25, "dlpoli": 25, "galamost": 25, "gaussian": [25, 27], "cube": 25, "gro": [25, 27], "mmcif": 25, "oxdna": 25, "paradi": 25, "parca": 25, "pdb": 25, "quantumespresso": 25, "reaxff": 25, "pvd": 25, "vti": 25, "vtm": 25, "vtp": 25, "vt": 25, "xsf": 25, "xtc": 25, "file_format": [], "lammps_data": [], "lammps_dump": [], "lammps_dump_loc": [], "ASE": 26, "forth": [26, 28], "ovito_to_as": 26, "ase_to_ovito": 26, "importerror": 26, "instal": 26, "pip3": 26, "ase_atom": 26, "role": 27, "consult": 27, "depth": [27, 29], "acklandjonesmodifi": 27, "ackland": 27, "jone": 27, "affin": [27, 28, 29], "ambientocclusionmodifi": 27, "ambient": [27, 29], "occlus": [27, 29], "bondanalysismodifi": 27, "centrosymmetrymodifi": 27, "chillplusmodifi": 27, "chill": 27, "clearselectionmodifi": 27, "clear": 27, "colorbytypemodifi": 27, "combinedatasetsmodifi": 27, "dxa": 27, "elasticstrainmodifi": 27, "expandselectionmodifi": 27, "expand": 27, "freezepropertymodifi": 27, "grainsegmentationmodifi": 27, "grain": 27, "identifydiamondmodifi": 27, "invertselectionmodifi": 27, "invert": 27, "replicatemodifi": 27, "replic": 27, "smoothtrajectorymodifi": 27, "smooth": [27, 29], "spatialcorrelationfunctionmodifi": 27, "correl": 27, "timeseriesmodifi": 27, "unwraptrajectoriesmodifi": 27, "vorotopmodifi": 27, "vorotop": 27, "wignerseitzanalysismodifi": [27, 28], "wigner": 27, "seitz": 27, "defect": 27, "wrapperiodicimagesmodifi": [27, 28], "miss": 27, "crystallin": 27, "propos": 27, "ico": 27, "color_by_typ": 27, "acklandjon": 27, "recogn": 27, "pack": 27, "bodi": 27, "icosahedr": 27, "shear": 27, "vector_properti": 27, "ones": 27, "diagon": 27, "xy_shear": 27, "05": 27, "mod": [27, 28], "deg2rad": 27, "tm": 27, "reduced_coord": 27, "relative_mod": 27, "target_cel": 27, "rel": [27, 28, 29], "light": [27, 29], "bright": [27, 29], "accord": [27, 29], "degre": [27, 29], "improv": 27, "complex": 27, "buffer_resolut": 27, "resolut": [27, 29], "higher": [27, 29], "intens": [27, 29], "strength": [27, 29], "shade": [27, 29], "sample_count": 27, "exposur": 27, "sampl": [27, 29], "surface_vertic": 27, "surface_fac": 27, "surface_region": 27, "particularli": 27, "displacementmagnitud": 27, "referenceconfigurationmodifi": [27, 28], "von": 27, "mise": 27, "invari": 27, "green": 27, "lagrangian": 27, "six": 27, "symmetr": 27, "output_strain_tensor": 27, "nine": 27, "output_deformation_gradi": 27, "u": 27, "polar": 27, "decomposit": 27, "ru": 27, "output_stretch_tensor": 27, "microrot": 27, "output_rot": 27, "nonaffin": 27, "measur": [27, 29], "falk": 27, "langer": 27, "output_nonaffine_squared_displac": 27, "select_invalid_particl": 27, "atomicstrain": 27, "invalid_particle_count": 27, "increas": 27, "taken": [27, 28, 29], "insuffici": 27, "partit": 27, "byparticletyp": 27, "byparticleselect": 27, "bybondtyp": [27, 29], "bybondselect": 27, "distr": 27, "bond_angl": 27, "instantan": 27, "traj": 27, "avg_bond_angl": 27, "180": 27, "cosine_mod": 27, "cosin": 27, "length_cutoff": 27, "exce": 27, "split": 27, "partial": 27, "hidden": [27, 29], "csp": 27, "disord": 27, "centrosymmetr": 27, "perfect": 27, "pick": [27, 29], "treat": 27, "speci": 27, "water": 27, "hexagonal_ic": 27, "cubic_ic": 27, "interfacial_ic": 27, "hydrat": 27, "interfacial_hydr": 27, "chillplu": 27, "ic": 27, "interfaci": 27, "disconnect": 27, "largest_s": 27, "largest": 27, "sort_by_s": 27, "compute_com": 27, "gyrat": 27, "compute_gyr": 27, "cluster_t": 27, "cluster_color": 27, "neighbor_mod": 27, "cutoffrang": 27, "neighbormod": 27, "unwrap_particl": 27, "residu": 27, "gromac": 27, "1aki": 27, "residue_typ": 27, "prepend": 27, "setup_residue_color": 27, "type_": 27, "glu": 27, "property_nam": 27, "input_properti": 27, "output_color": 27, "element_typ": 27, "clear_select": 27, "reveal": 27, "unselect": 27, "hot": 27, "start_valu": [27, 29], "end_valu": [27, 29], "colorlegendoverlai": [27, 29], "legend": [27, 29], "auto_adjust_rang": 27, "adapt": [27, 29], "irrespect": [27, 28], "soon": 27, "bluewhit": 27, "grayscal": 27, "jet": 27, "magma": 27, "rainbow": [27, 29], "viridi": 27, "linearli": 27, "interpol": [27, 29], "color_t": 27, "yellow": 27, "white": 27, "merg": 27, "primari": 27, "first_fil": [27, 28], "fixedcutoff": 27, "adaptivecutoff": 27, "intervalcutoff": 27, "cellsiz": 27, "syntax": 27, "pore": 27, "alpha": [27, 29], "alphashap": 27, "delaunai": 27, "accommod": 27, "probe": 27, "classifi": 27, "morpholog": 27, "resolv": 27, "larger": [27, 29], "fewer": 27, "coars": 27, "finer": 27, "stukowski": 27, "jom": 27, "66": 27, "2014": 27, "399": 27, "407": 27, "cite": 27, "publish": 27, "smear": 27, "site": 27, "decai": 27, "finit": 27, "diamet": [27, 29], "gaussiandens": 27, "radius_sc": 27, "identify_region": 27, "aggreg": 27, "filled_volum": 27, "specific_surface_area": 27, "empty_volum": 27, "filled_fract": 27, "unitless": 27, "empty_fract": 27, "filled_region_count": 27, "empty_region_count": 27, "void": 27, "isol": 27, "select_surface_particl": 27, "compute_dist": 27, "map_particles_to_region": 27, "grid_resolut": 27, "longest": 27, "stage": 27, "slightli": 27, "procedur": 27, "smoothing_level": 27, "try": 27, "particle_region": 27, "regions_t": 27, "thumb": 27, "extent": 27, "transfer_properti": 27, "transfer": [27, 29], "blend": 27, "surfacemeshvi": [27, 29], "number_of_bin": 27, "accumul": [27, 29], "total_rdf": 27, "savetxt": 27, "rdf_tabl": 27, "rdf_name": 27, "everth": 27, "convex": 27, "hull": 27, "semi": [27, 29], "surface_transpar": [27, 29], "vdwradiu": 27, "pairwis": 27, "intra_molecule_onli": 27, "transit": 27, "createbond": 27, "num_bond": 27, "upper": [27, 29], "get_pairwise_cutoff": 27, "type_a": 27, "type_b": 27, "set_pairwise_cutoff": 27, "lower_cutoff": 27, "prevent_hh_bond": 27, "nospin": 27, "00014": 27, "show_cap": [27, 29], "bin_count": 27, "reduction_oper": 27, "prefix": 27, "transfer_valu": 27, "asid": 27, "trilinear": 27, "secondari": [27, 28], "msmse": 27, "2012": 27, "085007": 27, "ijk": 27, "broken": 27, "112": 27, "shocklei": 27, "unusu": 27, "hexagonaldiamond": 27, "circuit_stretch": 27, "circuit": 27, "defect_mesh_smoothing_level": 27, "defect_vi": 27, "disloc_vi": 27, "line_coarsening_en": 27, "coarsen": 27, "line_point_separ": 27, "interatom": 27, "amount": 27, "line_smoothing_en": 27, "line_smoothing_level": 27, "only_perfect_disloc": 27, "dissoci": 27, "wide": 27, "trial_circuit_length": 27, "trial": 27, "calculate_deformation_gradi": 27, "null": 27, "calculate_strain_tensor": 27, "axial_ratio": 27, "symmetri": 27, "lattice_const": 27, "push_strain_tensors_forward": 27, "eulerian": 27, "almansi": 27, "materi": [27, 29], "expansionmod": 27, "recurs": [27, 29], "ev": [27, 29], "got": 27, "reimplement": 27, "select_atom": 27, "sel": 27, "limit": 27, "therebi": 27, "fulfil": 27, "pars": 27, "mupars": 27, "omit": [27, 29], "incorpor": 27, "shearstrain": 27, "liter": 27, "pl": 27, "source_properti": 27, "destination_properti": 27, "coord0": 27, "freeze_at": 27, "comapr": 27, "frozen": 27, "exhibit": [27, 29], "destin": 27, "motion": 27, "curv": 27, "frame_interv": 27, "sample_particle_properti": [27, 29], "pseudo": [27, 29], "color_mapping_properti": [27, 29], "velocity_magnitud": 27, "color_mapping_interv": [27, 29], "sampling_frequ": 27, "unwrap_trajectori": 27, "polycrystallin": 27, "microstructur": 27, "color_particl": 27, "grainsegment": 27, "grain_count": 27, "graphclusteringauto": 27, "graphclusteringmanu": 27, "minimumspanningtre": 27, "handle_stacking_fault": 27, "handl": [27, 28], "fault": 27, "coher": 27, "twin": 27, "merging_threshold": 27, "contract": 27, "lower": [27, 29], "min_grain_s": 27, "dissolv": 27, "orphan_adopt": 27, "fix_xrang": 27, "xrange_start": 27, "xrange_end": 27, "peatom": [27, 29], "discard": 27, "cubic_diamond": 27, "cubic_diamond_first_neighbor": 27, "cubic_diamond_second_neighbor": 27, "hex_diamond": 27, "hex_diamond_first_neighbor": 27, "hex_diamond_second_neighbor": 27, "identifydiamond": 27, "bonds_mod": 27, "btype": 27, "batom1": 27, "batom2": 27, "dist": 27, "engpot": 27, "c_1": 27, "c_2": 27, "motiv": 27, "compound": 27, "output_ord": 27, "sc": 27, "graphen": 27, "rmsd": 27, "output_rmsd": 27, "output_interatomic_dist": 27, "output_orient": 27, "orderingtyp": 27, "pure": 27, "l10": 27, "l12_a": 27, "l12_b": 27, "zincblende_wurtzit": 27, "boron_nitrid": 27, "polyhedraltemplatematch": 27, "rigid": 27, "rmsd_cutoff": 27, "root": 27, "spuriou": 27, "assign_color": 27, "adjust_box": 27, "accordingli": 27, "fit": [27, 29], "num_x": 27, "num_i": 27, "num_z": 27, "unique_id": 27, "replica": 27, "selecttyp": 27, "num_select": 27, "slab": 27, "Its": 27, "miller": 27, "gridslice_vi": 27, "hkl": 27, "interplanar": 27, "d_": 27, "slab_width": 27, "plane_vi": 27, "render_plan": 27, "mathemat": 27, "thick": 27, "smoothen": 27, "fluctuat": 27, "thermal": 27, "vibrat": 27, "minimum_image_convent": [27, 28], "window_s": 27, "slide": [27, 28], "reduct": 27, "first_deriv": 27, "velocity_profil": 27, "uniti": 27, "sumvol": 27, "align": [27, 29], "perpendicular": 27, "approxim": 27, "grid_vi": 27, "exclud": 27, "pressur": 27, "virial": 27, "fft": 27, "convolut": 27, "summat": 27, "property1": 27, "property2": 27, "real_correlation_funct": 27, "varianc": 27, "c_norm": 27, "mean1": 27, "correlationfunct": 27, "mean2": 27, "covari": 27, "normalized_real_correlation_funct": 27, "apply_window": 27, "hann": 27, "oscil": 27, "power": 27, "law": 27, "rectangular": [27, 29], "direct_summ": 27, "grid_spac": 27, "neighbor_bin": 27, "neighbor_cutoff": 27, "p1": 27, "p2": 27, "autocorrel": 27, "matter": 27, "hierarch": 27, "coarser": 27, "time_attribut": 27, "fold": 27, "unfold": 27, "lazar": 27, "han": 27, "srolovitz": 27, "pna": 27, "43": 27, "2015": 27, "weinberg": 27, "ieee": 27, "tran": 27, "theori": 27, "13": 27, "1966": 27, "websit": [27, 29], "suit": 27, "temperatur": 27, "heat": 27, "melt": 27, "robust": 27, "reliev": 27, "quench": 27, "minim": 27, "webpag": 27, "filter_fil": 27, "dispers": 27, "mono": 27, "max_face_ord": 27, "fall": 27, "generate_bond": 27, "bonds_vi": [27, 29], "shorter": 27, "face_threshold": 27, "whatev": 27, "relative_face_threshold": 27, "generate_polyhedra": 27, "mesh_vi": 27, "01": [27, 29], "occup": 27, "wignerseitz": 27, "vacancy_count": 27, "vacant": 27, "interstitial_count": 27, "interstiti": 27, "minu": 27, "antisit": 27, "tool": [27, 29], "exemplarili": 27, "occupi": 27, "ws": 27, "per_type_occup": 27, "affine_map": [27, 28], "affinemap": [27, 28], "torefer": [27, 28], "site_typ": 27, "total_occup": 27, "antisite_count": 27, "output_displac": 27, "throw": 27, "interest": 27, "pertain": 27, "pythonscriptsourc": 28, "yourself": 28, "encount": 28, "setup_atom_typ": 28, "slider": 28, "cach": 28, "source_path": 28, "encapsul": 28, "chain": 28, "feed": 28, "And": 28, "hood": 28, "recalcul": 28, "successfulli": 28, "due": [28, 29], "nor": 28, "persist": 28, "downstream": 28, "disappear": 28, "comparison": 28, "reference_fram": 28, "use_frame_offset": 28, "frame_offset": 28, "upon": 28, "experienc": 28, "trivial": 28, "slight": 28, "tocurr": 28, "consider": 28, "config": 28, "viewportoverlai": 29, "coordinatetripodoverlai": 29, "pythonviewportoverlai": 29, "cylindr": 29, "coloringmod": 29, "byparticl": 29, "adopt": 29, "natur": 29, "underlai": 29, "spectrum": 29, "color_mod": 29, "alignleft": 29, "aligntop": 29, "offset_i": 29, "04": 29, "font_siz": 29, "format_str": 29, "2f": 29, "slash": 29, "corner": 29, "anchor": 29, "alignmentflag": 29, "alignhcent": 29, "alignbottom": 29, "aspect_ratio": 29, "narrow": 29, "border_color": 29, "border": 29, "border_en": 29, "comma": 29, "understood": 29, "qfont": 29, "fromstr": 29, "arial": 29, "bold": 29, "sprintf": 29, "decim": 29, "label1": 29, "label2": 29, "legend_s": 29, "offset_x": 29, "horizont": 29, "outline_color": 29, "outline_en": 29, "text_color": 29, "tripod": 29, "alignright": 29, "axis1_color": 29, "axis1_dir": 29, "axis1_en": 29, "axis1_label": 29, "axis2_color": 29, "axis2_dir": 29, "axis2_en": 29, "axis2_label": 29, "axis3_color": 29, "axis3_dir": 29, "axis3_en": 29, "axis3_label": 29, "axis4_color": 29, "axis4_dir": 29, "7071": 29, "axis4_en": 29, "axis4_label": 29, "075": 29, "burgers_vector_color": 29, "burgers_vector_sc": 29, "exagger": 29, "burgers_vector_width": 29, "bydislocationtyp": 29, "byburgersvector": 29, "bycharact": 29, "show_burgers_vector": 29, "show_line_direct": 29, "fidel": 29, "osprai": 29, "focal": 29, "blur": 29, "www": 29, "ambient_bright": 29, "radianc": 29, "ambient_light_en": 29, "illumin": 29, "infin": 29, "apertur": 29, "focu": 29, "dof_en": 29, "denoising_en": 29, "denois": 29, "mont": 29, "carlo": 29, "nois": 29, "inher": 29, "stochast": 29, "direct_light_angular_diamet": 29, "appar": 29, "soft": 29, "direct_light_en": 29, "focal_length": 29, "sharp": 29, "material_shini": 29, "specular": 29, "phong": 29, "expon": 29, "000": 29, "material_specular_bright": 29, "max_ray_recurs": 29, "raytrac": 29, "refinement_iter": 29, "until": 29, "stop": 29, "samples_per_pixel": 29, "alias": 29, "artifact": 29, "sky_albedo": 29, "ground": 29, "sky": 29, "sun": 29, "sky_light_en": 29, "sky_bright": 29, "outdoor": 29, "sky_turbid": 29, "atmospher": 29, "turbid": 29, "ssh": 29, "refus": 29, "antialiasing_level": 29, "supersampl": 29, "vis_el": 29, "usabl": 29, "render_some_text": 29, "world": 29, "qpainter": 29, "issu": 29, "importantli": 29, "frustum": 29, "proj_tm": 29, "4x4": 29, "world_xyz": 29, "lai": 29, "lie": 29, "view_tm": 29, "contextu": 29, "propag": 29, "cell_vi": 29, "render_cel": 29, "cap_color": 29, "cap_transpar": 29, "opaqu": 29, "color_mapping_gradi": 29, "color_mapping_mod": 29, "colormappingmod": 29, "surface_color": 29, "reverse_orient": 29, "smooth_shad": 29, "ambient_occlus": 29, "omnidirect": 29, "diffus": 29, "overcast": 29, "dai": 29, "ambient_occlusion_bright": 29, "ambient_occlusion_sampl": 29, "antialias": 29, "antialiasing_sampl": 29, "depth_of_field": 29, "direct_light": 29, "exponenti": 29, "6g": 29, "source_pipelin": 29, "placehold": 29, "html": 29, "css": 29, "markup": 29, "upto_current_tim": 29, "wrapped_lin": 29, "85": 29, "vector_vi": 29, "my_modifier_funct": 29, "vector_data": 29, "glyph": 29, "reposit": 29, "dialog": 29, "camera_up": 29, "upward": 29, "create_qt_widget": 29, "widget": 29, "platform": 29, "qwidget": 29, "vice": 29, "versa": 29, "os": 29, "qt6": 29, "pyside6": 29, "older": 29, "qt5": 29, "pyside2": 29, "pysid": 29, "getenv": 29, "qt_api": 29, "qeventloop": 29, "qtimer": 29, "qtwidget": 29, "qapplic": 29, "myapp": 29, "qcoreappl": 29, "500": 29, "400": 29, "setwindowtitl": 29, "demo": 29, "shut": 29, "destroi": 29, "quit": 29, "ui": 29, "exec_": 29, "littl": 29, "eventloop": 29, "640": 29, "480": 29, "every_nth": 29, "mp4": 29, "mov": 29, "gif": 29, "jpeg": 29, "playback": 29, "crop": 29, "tiff": 29, "superimpos": 29, "backdrop": 29, "headless": 29, "hpc": 29, "opportun": 29, "bottom": 29, "highlight_grid_lin": 29, "interpolate_color": 29, "smoothli": 29}, "objects": {"": [[23, 0, 0, "-", "ovito"]], "ovito": [[23, 1, 1, "", "Scene"], [24, 0, 0, "-", "data"], [23, 4, 1, "", "enable_logging"], [25, 0, 0, "-", "io"], [27, 0, 0, "-", "modifiers"], [28, 0, 0, "-", "pipeline"], [23, 5, 1, "", "scene"], [23, 5, 1, "", "version"], [23, 5, 1, "", "version_string"], [29, 0, 0, "-", "vis"]], "ovito.Scene": [[23, 2, 1, "", "load"], [23, 3, 1, "", "pipelines"], [23, 2, 1, "", "save"], [23, 3, 1, "", "selected_pipeline"]], "ovito.data": [[24, 1, 1, "", "BondType"], [24, 1, 1, "", "Bonds"], [24, 1, 1, "", "BondsEnumerator"], [24, 1, 1, "", "CutoffNeighborFinder"], [24, 1, 1, "", "DataCollection"], [24, 1, 1, "", "DataObject"], [24, 1, 1, "", "DataTable"], [24, 1, 1, "", "DislocationNetwork"], [24, 1, 1, "", "DislocationSegment"], [24, 1, 1, "", "ElementType"], [24, 1, 1, "", "NearestNeighborFinder"], [24, 1, 1, "", "ParticleType"], [24, 1, 1, "", "Particles"], [24, 1, 1, "", "Property"], [24, 1, 1, "", "PropertyContainer"], [24, 1, 1, "", "SimulationCell"], [24, 1, 1, "", "SurfaceMesh"], [24, 1, 1, "", "SurfaceMeshTopology"], [24, 1, 1, "", "TrajectoryLines"], [24, 1, 1, "", "TriangleMesh"], [24, 1, 1, "", "VoxelGrid"]], "ovito.data.Bonds": [[24, 2, 1, "", "add_bond"], [24, 3, 1, "", "bond_types"], [24, 3, 1, "", "colors"], [24, 3, 1, "", "pbc_vectors"], [24, 3, 1, "", "selection"], [24, 3, 1, "", "topology"]], "ovito.data.BondsEnumerator": [[24, 2, 1, "", "bonds_of_particle"]], "ovito.data.CutoffNeighborFinder": [[24, 2, 1, "", "find"], [24, 2, 1, "", "find_at"], [24, 2, 1, "", "neighbor_distances"], [24, 2, 1, "", "neighbor_vectors"]], "ovito.data.DataCollection": [[24, 2, 1, "", "apply"], [24, 3, 1, "", "attributes"], [24, 3, 1, "", "cell"], [24, 2, 1, "", "clone"], [24, 2, 1, "", "create_cell"], [24, 2, 1, "", "create_particles"], [24, 3, 1, "", "dislocations"], [24, 3, 1, "", "grids"], [24, 3, 1, "", "objects"], [24, 3, 1, "", "particles"], [24, 3, 1, "", "surfaces"], [24, 3, 1, "", "tables"], [24, 3, 1, "", "trajectories"], [24, 3, 1, "", "triangle_meshes"]], "ovito.data.DataObject": [[24, 3, 1, "", "identifier"], [24, 2, 1, "", "make_mutable"], [24, 3, 1, "", "vis"]], "ovito.data.DataTable": [[24, 3, 1, "", "axis_label_x"], [24, 3, 1, "", "interval"], [24, 3, 1, "", "plot_mode"], [24, 3, 1, "", "x"], [24, 2, 1, "", "xy"], [24, 3, 1, "", "y"]], "ovito.data.DislocationNetwork": [[24, 3, 1, "", "segments"], [24, 2, 1, "", "set_segment"]], "ovito.data.DislocationSegment": [[24, 3, 1, "", "cluster_id"], [24, 3, 1, "", "custom_color"], [24, 3, 1, "", "id"], [24, 3, 1, "", "is_infinite_line"], [24, 3, 1, "", "is_loop"], [24, 3, 1, "", "length"], [24, 3, 1, "", "points"], [24, 3, 1, "", "spatial_burgers_vector"], [24, 3, 1, "", "true_burgers_vector"]], "ovito.data.ElementType": [[24, 3, 1, "", "color"], [24, 3, 1, "", "enabled"], [24, 3, 1, "", "id"], [24, 3, 1, "", "name"]], "ovito.data.NearestNeighborFinder": [[24, 2, 1, "", "find"], [24, 2, 1, "", "find_all"], [24, 2, 1, "", "find_at"]], "ovito.data.ParticleType": [[24, 3, 1, "", "backface_culling"], [24, 3, 1, "", "highlight_edges"], [24, 2, 1, "", "load_defaults"], [24, 2, 1, "", "load_shape"], [24, 3, 1, "", "mass"], [24, 3, 1, "", "radius"], [24, 3, 1, "", "shape"], [24, 3, 1, "", "use_mesh_color"], [24, 3, 1, "", "vdw_radius"]], "ovito.data.Particles": [[24, 2, 1, "", "add_particle"], [24, 3, 1, "", "angles"], [24, 3, 1, "", "bonds"], [24, 3, 1, "", "colors"], [24, 2, 1, "", "create_bonds"], [24, 2, 1, "", "delta_vector"], [24, 3, 1, "", "dihedrals"], [24, 3, 1, "", "forces"], [24, 3, 1, "", "identifiers"], [24, 3, 1, "", "impropers"], [24, 3, 1, "", "masses"], [24, 3, 1, "", "orientations"], [24, 3, 1, "", "particle_types"], [24, 3, 1, "", "positions"], [24, 2, 1, "", "remap_indices"], [24, 3, 1, "", "selection"], [24, 3, 1, "", "structure_types"], [24, 3, 1, "", "velocities"]], "ovito.data.Property": [[24, 3, 1, "", "component_count"], [24, 3, 1, "", "component_names"], [24, 3, 1, "", "name"], [24, 2, 1, "", "type_by_id"], [24, 2, 1, "", "type_by_name"], [24, 3, 1, "", "types"]], "ovito.data.PropertyContainer": [[24, 3, 1, "", "count"], [24, 2, 1, "", "create_property"], [24, 2, 1, "", "delete_elements"], [24, 2, 1, "", "delete_indices"], [24, 3, 1, "", "title"]], "ovito.data.SimulationCell": [[24, 2, 1, "", "delta_vector"], [24, 3, 1, "", "inverse"], [24, 3, 1, "", "is2D"], [24, 3, 1, "", "pbc"], [24, 3, 1, "", "volume"], [24, 3, 1, "", "volume2D"]], "ovito.data.SurfaceMesh": [[24, 3, 1, "", "domain"], [24, 3, 1, "", "faces"], [24, 2, 1, "", "get_clipping_planes"], [24, 2, 1, "", "locate_point"], [24, 3, 1, "", "regions"], [24, 2, 1, "", "set_clipping_planes"], [24, 3, 1, "", "space_filling_region"], [24, 2, 1, "", "to_triangle_mesh"], [24, 3, 1, "", "topology"], [24, 3, 1, "", "vertices"]], "ovito.data.SurfaceMeshTopology": [[24, 2, 1, "", "adjacent_face"], [24, 2, 1, "", "count_face_edges"], [24, 2, 1, "", "count_manifolds"], [24, 2, 1, "", "count_vertex_edges"], [24, 3, 1, "", "edge_count"], [24, 3, 1, "", "face_count"], [24, 2, 1, "", "find_edge"], [24, 2, 1, "", "first_edge_vertex"], [24, 2, 1, "", "first_face_edge"], [24, 2, 1, "", "first_face_vertex"], [24, 2, 1, "", "first_vertex_edge"], [24, 2, 1, "", "has_opposite_edge"], [24, 2, 1, "", "has_opposite_face"], [24, 2, 1, "", "next_face_edge"], [24, 2, 1, "", "next_manifold_edge"], [24, 2, 1, "", "next_vertex_edge"], [24, 2, 1, "", "opposite_edge"], [24, 2, 1, "", "opposite_face"], [24, 2, 1, "", "prev_face_edge"], [24, 2, 1, "", "second_edge_vertex"], [24, 3, 1, "", "vertex_count"]], "ovito.data.TrajectoryLines": [[24, 3, 1, "", "particle_ids"], [24, 3, 1, "", "positions"], [24, 3, 1, "", "time_stamps"]], "ovito.data.TriangleMesh": [[24, 3, 1, "", "face_count"], [24, 2, 1, "", "get_faces"], [24, 2, 1, "", "get_vertices"], [24, 2, 1, "", "set_faces"], [24, 2, 1, "", "set_vertices"], [24, 3, 1, "", "vertex_count"]], "ovito.data.VoxelGrid": [[24, 3, 1, "", "domain"], [24, 3, 1, "", "shape"]], "ovito.io": [[26, 0, 0, "-", "ase"], [25, 4, 1, "", "export_file"], [25, 4, 1, "", "import_file"]], "ovito.io.ase": [[26, 4, 1, "", "ase_to_ovito"], [26, 4, 1, "", "ovito_to_ase"]], "ovito.modifiers": [[27, 1, 1, "", "AcklandJonesModifier"], [27, 1, 1, "", "AffineTransformationModifier"], [27, 1, 1, "", "AmbientOcclusionModifier"], [27, 1, 1, "", "AssignColorModifier"], [27, 1, 1, "", "AtomicStrainModifier"], [27, 1, 1, "", "BondAnalysisModifier"], [27, 1, 1, "", "CalculateDisplacementsModifier"], [27, 1, 1, "", "CentroSymmetryModifier"], [27, 1, 1, "", "ChillPlusModifier"], [27, 1, 1, "", "ClearSelectionModifier"], [27, 1, 1, "", "ClusterAnalysisModifier"], [27, 1, 1, "", "ColorByTypeModifier"], [27, 1, 1, "", "ColorCodingModifier"], [27, 1, 1, "", "CombineDatasetsModifier"], [27, 1, 1, "", "CommonNeighborAnalysisModifier"], [27, 1, 1, "", "ComputePropertyModifier"], [27, 1, 1, "", "ConstructSurfaceModifier"], [27, 1, 1, "", "CoordinationAnalysisModifier"], [27, 1, 1, "", "CoordinationPolyhedraModifier"], [27, 1, 1, "", "CreateBondsModifier"], [27, 1, 1, "", "CreateIsosurfaceModifier"], [27, 1, 1, "", "DeleteSelectedModifier"], [27, 1, 1, "", "DislocationAnalysisModifier"], [27, 1, 1, "", "ElasticStrainModifier"], [27, 1, 1, "", "ExpandSelectionModifier"], [27, 1, 1, "", "ExpressionSelectionModifier"], [27, 1, 1, "", "FreezePropertyModifier"], [27, 1, 1, "", "GenerateTrajectoryLinesModifier"], [27, 1, 1, "", "GrainSegmentationModifier"], [27, 1, 1, "", "HistogramModifier"], [27, 1, 1, "", "IdentifyDiamondModifier"], [27, 1, 1, "", "InvertSelectionModifier"], [27, 1, 1, "", "LoadTrajectoryModifier"], [27, 1, 1, "", "PolyhedralTemplateMatchingModifier"], [27, 1, 1, "", "PythonScriptModifier"], [27, 1, 1, "", "ReplicateModifier"], [27, 1, 1, "", "SelectTypeModifier"], [27, 1, 1, "", "SliceModifier"], [27, 1, 1, "", "SmoothTrajectoryModifier"], [27, 1, 1, "", "SpatialBinningModifier"], [27, 1, 1, "", "SpatialCorrelationFunctionModifier"], [27, 1, 1, "", "StructureIdentificationModifier"], [27, 1, 1, "", "TimeAveragingModifier"], [27, 1, 1, "", "TimeSeriesModifier"], [27, 1, 1, "", "UnwrapTrajectoriesModifier"], [27, 1, 1, "", "VoroTopModifier"], [27, 1, 1, "", "VoronoiAnalysisModifier"], [27, 1, 1, "", "WignerSeitzAnalysisModifier"], [27, 1, 1, "", "WrapPeriodicImagesModifier"]], "ovito.modifiers.AffineTransformationModifier": [[27, 3, 1, "", "only_selected"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "reduced_coords"], [27, 3, 1, "", "relative_mode"], [27, 3, 1, "", "target_cell"], [27, 3, 1, "", "transformation"]], "ovito.modifiers.AmbientOcclusionModifier": [[27, 3, 1, "", "buffer_resolution"], [27, 3, 1, "", "intensity"], [27, 3, 1, "", "sample_count"]], "ovito.modifiers.AssignColorModifier": [[27, 3, 1, "", "color"], [27, 3, 1, "", "operate_on"]], "ovito.modifiers.AtomicStrainModifier": [[27, 3, 1, "", "cutoff"], [27, 3, 1, "", "output_deformation_gradients"], [27, 3, 1, "", "output_nonaffine_squared_displacements"], [27, 3, 1, "", "output_rotations"], [27, 3, 1, "", "output_strain_tensors"], [27, 3, 1, "", "output_stretch_tensors"], [27, 3, 1, "", "select_invalid_particles"]], "ovito.modifiers.BondAnalysisModifier": [[27, 3, 1, "", "bins"], [27, 3, 1, "", "cosine_mode"], [27, 3, 1, "", "length_cutoff"], [27, 3, 1, "", "partition"]], "ovito.modifiers.CalculateDisplacementsModifier": [[27, 3, 1, "", "vis"]], "ovito.modifiers.CentroSymmetryModifier": [[27, 3, 1, "", "mode"], [27, 3, 1, "", "num_neighbors"], [27, 3, 1, "", "only_selected"]], "ovito.modifiers.ChillPlusModifier": [[27, 3, 1, "", "cutoff"]], "ovito.modifiers.ClearSelectionModifier": [[27, 3, 1, "", "operate_on"]], "ovito.modifiers.ClusterAnalysisModifier": [[27, 3, 1, "", "cluster_coloring"], [27, 3, 1, "", "compute_com"], [27, 3, 1, "", "compute_gyration"], [27, 3, 1, "", "cutoff"], [27, 3, 1, "", "neighbor_mode"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "sort_by_size"], [27, 3, 1, "", "unwrap_particles"]], "ovito.modifiers.ColorByTypeModifier": [[27, 3, 1, "", "clear_selection"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "property"]], "ovito.modifiers.ColorCodingModifier": [[27, 3, 1, "", "auto_adjust_range"], [27, 3, 1, "", "end_value"], [27, 3, 1, "", "gradient"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "property"], [27, 3, 1, "", "start_value"]], "ovito.modifiers.CombineDatasetsModifier": [[27, 3, 1, "", "source"]], "ovito.modifiers.CommonNeighborAnalysisModifier": [[27, 3, 1, "", "cutoff"], [27, 3, 1, "", "mode"]], "ovito.modifiers.ComputePropertyModifier": [[27, 3, 1, "", "cutoff_radius"], [27, 3, 1, "", "expressions"], [27, 3, 1, "", "neighbor_expressions"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "output_property"]], "ovito.modifiers.ConstructSurfaceModifier": [[27, 3, 1, "", "compute_distances"], [27, 3, 1, "", "grid_resolution"], [27, 3, 1, "", "identify_regions"], [27, 3, 1, "", "isolevel"], [27, 3, 1, "", "map_particles_to_regions"], [27, 3, 1, "", "method"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "radius"], [27, 3, 1, "", "radius_scaling"], [27, 3, 1, "", "select_surface_particles"], [27, 3, 1, "", "smoothing_level"], [27, 3, 1, "", "transfer_properties"], [27, 3, 1, "", "vis"]], "ovito.modifiers.CoordinationAnalysisModifier": [[27, 3, 1, "", "cutoff"], [27, 3, 1, "", "number_of_bins"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "partial"]], "ovito.modifiers.CoordinationPolyhedraModifier": [[27, 3, 1, "", "vis"]], "ovito.modifiers.CreateBondsModifier": [[27, 3, 1, "", "bond_type"], [27, 3, 1, "", "cutoff"], [27, 2, 1, "", "get_pairwise_cutoff"], [27, 3, 1, "", "intra_molecule_only"], [27, 3, 1, "", "lower_cutoff"], [27, 3, 1, "", "mode"], [27, 3, 1, "", "prevent_hh_bonds"], [27, 2, 1, "", "set_pairwise_cutoff"], [27, 3, 1, "", "vis"]], "ovito.modifiers.CreateIsosurfaceModifier": [[27, 3, 1, "", "isolevel"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "property"], [27, 3, 1, "", "transfer_values"], [27, 3, 1, "", "vis"]], "ovito.modifiers.DeleteSelectedModifier": [[27, 3, 1, "", "operate_on"]], "ovito.modifiers.DislocationAnalysisModifier": [[27, 3, 1, "", "circuit_stretchability"], [27, 3, 1, "", "color_by_type"], [27, 3, 1, "", "defect_mesh_smoothing_level"], [27, 3, 1, "", "defect_vis"], [27, 3, 1, "", "disloc_vis"], [27, 3, 1, "", "input_crystal_structure"], [27, 3, 1, "", "line_coarsening_enabled"], [27, 3, 1, "", "line_point_separation"], [27, 3, 1, "", "line_smoothing_enabled"], [27, 3, 1, "", "line_smoothing_level"], [27, 3, 1, "", "only_perfect_dislocations"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "trial_circuit_length"]], "ovito.modifiers.ElasticStrainModifier": [[27, 3, 1, "", "axial_ratio"], [27, 3, 1, "", "calculate_deformation_gradients"], [27, 3, 1, "", "calculate_strain_tensors"], [27, 3, 1, "", "input_crystal_structure"], [27, 3, 1, "", "lattice_constant"], [27, 3, 1, "", "push_strain_tensors_forward"]], "ovito.modifiers.ExpandSelectionModifier": [[27, 3, 1, "", "cutoff"], [27, 3, 1, "", "iterations"], [27, 3, 1, "", "mode"], [27, 3, 1, "", "num_neighbors"]], "ovito.modifiers.ExpressionSelectionModifier": [[27, 3, 1, "", "expression"], [27, 3, 1, "", "operate_on"]], "ovito.modifiers.FreezePropertyModifier": [[27, 3, 1, "", "destination_property"], [27, 3, 1, "", "freeze_at"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "source_property"]], "ovito.modifiers.GenerateTrajectoryLinesModifier": [[27, 3, 1, "", "frame_interval"], [27, 2, 1, "", "generate"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "sample_particle_property"], [27, 3, 1, "", "sampling_frequency"], [27, 3, 1, "", "unwrap_trajectories"], [27, 3, 1, "", "vis"]], "ovito.modifiers.GrainSegmentationModifier": [[27, 3, 1, "", "algorithm"], [27, 3, 1, "", "color_particles"], [27, 3, 1, "", "handle_stacking_faults"], [27, 3, 1, "", "merging_threshold"], [27, 3, 1, "", "min_grain_size"], [27, 3, 1, "", "orphan_adoption"]], "ovito.modifiers.HistogramModifier": [[27, 3, 1, "", "bin_count"], [27, 3, 1, "", "fix_xrange"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "property"], [27, 3, 1, "", "xrange_end"], [27, 3, 1, "", "xrange_start"]], "ovito.modifiers.InvertSelectionModifier": [[27, 3, 1, "", "operate_on"]], "ovito.modifiers.LoadTrajectoryModifier": [[27, 3, 1, "", "source"]], "ovito.modifiers.PolyhedralTemplateMatchingModifier": [[27, 3, 1, "", "output_deformation_gradient"], [27, 3, 1, "", "output_interatomic_distance"], [27, 3, 1, "", "output_ordering"], [27, 3, 1, "", "output_orientation"], [27, 3, 1, "", "output_rmsd"], [27, 3, 1, "", "rmsd_cutoff"]], "ovito.modifiers.PythonScriptModifier": [[27, 3, 1, "", "function"]], "ovito.modifiers.ReplicateModifier": [[27, 3, 1, "", "adjust_box"], [27, 3, 1, "", "num_x"], [27, 3, 1, "", "num_y"], [27, 3, 1, "", "num_z"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "unique_ids"]], "ovito.modifiers.SelectTypeModifier": [[27, 3, 1, "", "operate_on"], [27, 3, 1, "", "property"], [27, 3, 1, "", "types"]], "ovito.modifiers.SliceModifier": [[27, 3, 1, "", "distance"], [27, 3, 1, "", "gridslice_vis"], [27, 3, 1, "", "inverse"], [27, 3, 1, "", "miller"], [27, 3, 1, "", "normal"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "plane_vis"], [27, 3, 1, "", "render_plane"], [27, 3, 1, "", "select"], [27, 3, 1, "", "slab_width"]], "ovito.modifiers.SmoothTrajectoryModifier": [[27, 3, 1, "", "minimum_image_convention"], [27, 3, 1, "", "window_size"]], "ovito.modifiers.SpatialBinningModifier": [[27, 3, 1, "", "bin_count"], [27, 3, 1, "", "direction"], [27, 3, 1, "", "first_derivative"], [27, 3, 1, "", "grid_vis"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "property"], [27, 3, 1, "", "reduction_operation"]], "ovito.modifiers.SpatialCorrelationFunctionModifier": [[27, 3, 1, "", "apply_window"], [27, 3, 1, "", "direct_summation"], [27, 3, 1, "", "grid_spacing"], [27, 3, 1, "", "neighbor_bins"], [27, 3, 1, "", "neighbor_cutoff"], [27, 3, 1, "", "property1"], [27, 3, 1, "", "property2"]], "ovito.modifiers.StructureIdentificationModifier": [[27, 3, 1, "", "color_by_type"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "structures"]], "ovito.modifiers.TimeAveragingModifier": [[27, 3, 1, "", "interval"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "sampling_frequency"]], "ovito.modifiers.TimeSeriesModifier": [[27, 3, 1, "", "interval"], [27, 3, 1, "", "operate_on"], [27, 3, 1, "", "sampling_frequency"], [27, 3, 1, "", "time_attribute"]], "ovito.modifiers.VoroTopModifier": [[27, 3, 1, "", "filter_file"], [27, 3, 1, "", "use_radii"]], "ovito.modifiers.VoronoiAnalysisModifier": [[27, 3, 1, "", "bonds_vis"], [27, 3, 1, "", "compute_indices"], [27, 3, 1, "", "edge_threshold"], [27, 3, 1, "", "face_threshold"], [27, 3, 1, "", "generate_bonds"], [27, 3, 1, "", "generate_polyhedra"], [27, 3, 1, "", "mesh_vis"], [27, 3, 1, "", "only_selected"], [27, 3, 1, "", "relative_face_threshold"], [27, 3, 1, "", "use_radii"]], "ovito.modifiers.WignerSeitzAnalysisModifier": [[27, 3, 1, "", "output_displaced"], [27, 3, 1, "", "per_type_occupancies"]], "ovito.pipeline": [[28, 1, 1, "", "FileSource"], [28, 1, 1, "", "Modifier"], [28, 1, 1, "", "Pipeline"], [28, 1, 1, "", "PythonScriptSource"], [28, 1, 1, "", "ReferenceConfigurationModifier"], [28, 1, 1, "", "StaticSource"]], "ovito.pipeline.FileSource": [[28, 2, 1, "", "compute"], [28, 3, 1, "", "data"], [28, 2, 1, "", "load"], [28, 3, 1, "", "num_frames"], [28, 3, 1, "", "source_path"]], "ovito.pipeline.Modifier": [[28, 3, 1, "", "enabled"]], "ovito.pipeline.Pipeline": [[28, 2, 1, "", "add_to_scene"], [28, 2, 1, "", "compute"], [28, 3, 1, "", "modifiers"], [28, 2, 1, "", "remove_from_scene"], [28, 3, 1, "", "source"]], "ovito.pipeline.PythonScriptSource": [[28, 3, 1, "", "function"]], "ovito.pipeline.ReferenceConfigurationModifier": [[28, 3, 1, "", "affine_mapping"], [28, 3, 1, "", "frame_offset"], [28, 3, 1, "", "minimum_image_convention"], [28, 3, 1, "", "reference"], [28, 3, 1, "", "reference_frame"], [28, 3, 1, "", "use_frame_offset"]], "ovito.pipeline.StaticSource": [[28, 2, 1, "", "compute"], [28, 3, 1, "", "data"]], "ovito.vis": [[29, 1, 1, "", "BondsVis"], [29, 1, 1, "", "ColorLegendOverlay"], [29, 1, 1, "", "CoordinateTripodOverlay"], [29, 1, 1, "", "DataVis"], [29, 1, 1, "", "DislocationVis"], [29, 1, 1, "", "OSPRayRenderer"], [29, 1, 1, "", "OpenGLRenderer"], [29, 1, 1, "", "ParticlesVis"], [29, 1, 1, "", "PythonViewportOverlay"], [29, 1, 1, "", "SimulationCellVis"], [29, 1, 1, "", "SurfaceMeshVis"], [29, 1, 1, "", "TachyonRenderer"], [29, 1, 1, "", "TextLabelOverlay"], [29, 1, 1, "", "TrajectoryVis"], [29, 1, 1, "", "TriangleMeshVis"], [29, 1, 1, "", "VectorVis"], [29, 1, 1, "", "Viewport"], [29, 1, 1, "", "ViewportOverlay"], [29, 1, 1, "", "VoxelGridVis"]], "ovito.vis.BondsVis": [[29, 3, 1, "", "color"], [29, 3, 1, "", "coloring_mode"], [29, 3, 1, "", "flat_shading"], [29, 3, 1, "", "width"]], "ovito.vis.ColorLegendOverlay": [[29, 3, 1, "", "alignment"], [29, 3, 1, "", "aspect_ratio"], [29, 3, 1, "", "border_color"], [29, 3, 1, "", "border_enabled"], [29, 3, 1, "", "font"], [29, 3, 1, "", "font_size"], [29, 3, 1, "", "format_string"], [29, 3, 1, "", "label1"], [29, 3, 1, "", "label2"], [29, 3, 1, "", "legend_size"], [29, 3, 1, "", "modifier"], [29, 3, 1, "", "offset_x"], [29, 3, 1, "", "offset_y"], [29, 3, 1, "", "orientation"], [29, 3, 1, "", "outline_color"], [29, 3, 1, "", "outline_enabled"], [29, 3, 1, "", "property"], [29, 3, 1, "", "text_color"], [29, 3, 1, "", "title"]], "ovito.vis.CoordinateTripodOverlay": [[29, 3, 1, "", "alignment"], [29, 3, 1, "", "axis1_color"], [29, 3, 1, "", "axis1_dir"], [29, 3, 1, "", "axis1_enabled"], [29, 3, 1, "", "axis1_label"], [29, 3, 1, "", "axis2_color"], [29, 3, 1, "", "axis2_dir"], [29, 3, 1, "", "axis2_enabled"], [29, 3, 1, "", "axis2_label"], [29, 3, 1, "", "axis3_color"], [29, 3, 1, "", "axis3_dir"], [29, 3, 1, "", "axis3_enabled"], [29, 3, 1, "", "axis3_label"], [29, 3, 1, "", "axis4_color"], [29, 3, 1, "", "axis4_dir"], [29, 3, 1, "", "axis4_enabled"], [29, 3, 1, "", "axis4_label"], [29, 3, 1, "", "font"], [29, 3, 1, "", "font_size"], [29, 3, 1, "", "line_width"], [29, 3, 1, "", "offset_x"], [29, 3, 1, "", "offset_y"], [29, 3, 1, "", "outline_color"], [29, 3, 1, "", "outline_enabled"], [29, 3, 1, "", "size"], [29, 3, 1, "", "style"]], "ovito.vis.DataVis": [[29, 3, 1, "", "enabled"], [29, 3, 1, "", "title"]], "ovito.vis.DislocationVis": [[29, 3, 1, "", "burgers_vector_color"], [29, 3, 1, "", "burgers_vector_scaling"], [29, 3, 1, "", "burgers_vector_width"], [29, 3, 1, "", "coloring_mode"], [29, 3, 1, "", "line_width"], [29, 3, 1, "", "shading"], [29, 3, 1, "", "show_burgers_vectors"], [29, 3, 1, "", "show_line_directions"]], "ovito.vis.OSPRayRenderer": [[29, 3, 1, "", "ambient_brightness"], [29, 3, 1, "", "ambient_light_enabled"], [29, 3, 1, "", "aperture"], [29, 3, 1, "", "denoising_enabled"], [29, 3, 1, "", "direct_light_angular_diameter"], [29, 3, 1, "", "direct_light_enabled"], [29, 3, 1, "", "direct_light_intensity"], [29, 3, 1, "", "dof_enabled"], [29, 3, 1, "", "focal_length"], [29, 3, 1, "", "material_shininess"], [29, 3, 1, "", "material_specular_brightness"], [29, 3, 1, "", "max_ray_recursion"], [29, 3, 1, "", "refinement_iterations"], [29, 3, 1, "", "samples_per_pixel"], [29, 3, 1, "", "sky_albedo"], [29, 3, 1, "", "sky_brightness"], [29, 3, 1, "", "sky_light_enabled"], [29, 3, 1, "", "sky_turbidity"]], "ovito.vis.OpenGLRenderer": [[29, 3, 1, "", "antialiasing_level"]], "ovito.vis.ParticlesVis": [[29, 3, 1, "", "radius"], [29, 3, 1, "", "scaling"], [29, 3, 1, "", "shape"]], "ovito.vis.PythonViewportOverlay": [[29, 1, 1, "", "Arguments"], [29, 3, 1, "", "function"]], "ovito.vis.PythonViewportOverlay.Arguments": [[29, 3, 1, "", "fov"], [29, 3, 1, "", "frame"], [29, 3, 1, "", "is_perspective"], [29, 3, 1, "", "painter"], [29, 3, 1, "", "proj_tm"], [29, 2, 1, "", "project_point"], [29, 2, 1, "", "project_size"], [29, 3, 1, "", "scene"], [29, 3, 1, "", "size"], [29, 3, 1, "", "view_tm"], [29, 3, 1, "", "viewport"]], "ovito.vis.SimulationCellVis": [[29, 3, 1, "", "line_width"], [29, 3, 1, "", "render_cell"], [29, 3, 1, "", "rendering_color"]], "ovito.vis.SurfaceMeshVis": [[29, 3, 1, "", "cap_color"], [29, 3, 1, "", "cap_transparency"], [29, 3, 1, "", "color_mapping_gradient"], [29, 3, 1, "", "color_mapping_interval"], [29, 3, 1, "", "color_mapping_mode"], [29, 3, 1, "", "color_mapping_property"], [29, 3, 1, "", "highlight_edges"], [29, 3, 1, "", "reverse_orientation"], [29, 3, 1, "", "show_cap"], [29, 3, 1, "", "smooth_shading"], [29, 3, 1, "", "surface_color"], [29, 3, 1, "", "surface_transparency"]], "ovito.vis.TachyonRenderer": [[29, 3, 1, "", "ambient_occlusion"], [29, 3, 1, "", "ambient_occlusion_brightness"], [29, 3, 1, "", "ambient_occlusion_samples"], [29, 3, 1, "", "antialiasing"], [29, 3, 1, "", "antialiasing_samples"], [29, 3, 1, "", "aperture"], [29, 3, 1, "", "depth_of_field"], [29, 3, 1, "", "direct_light"], [29, 3, 1, "", "direct_light_intensity"], [29, 3, 1, "", "focal_length"], [29, 3, 1, "", "shadows"]], "ovito.vis.TextLabelOverlay": [[29, 3, 1, "", "alignment"], [29, 3, 1, "", "font"], [29, 3, 1, "", "font_size"], [29, 3, 1, "", "format_string"], [29, 3, 1, "", "offset_x"], [29, 3, 1, "", "offset_y"], [29, 3, 1, "", "outline_color"], [29, 3, 1, "", "outline_enabled"], [29, 3, 1, "", "source_pipeline"], [29, 3, 1, "", "text"], [29, 3, 1, "", "text_color"]], "ovito.vis.TrajectoryVis": [[29, 3, 1, "", "color"], [29, 3, 1, "", "color_mapping_gradient"], [29, 3, 1, "", "color_mapping_interval"], [29, 3, 1, "", "color_mapping_property"], [29, 3, 1, "", "shading"], [29, 3, 1, "", "upto_current_time"], [29, 3, 1, "", "width"], [29, 3, 1, "", "wrapped_lines"]], "ovito.vis.TriangleMeshVis": [[29, 3, 1, "", "backface_culling"], [29, 3, 1, "", "color"], [29, 3, 1, "", "highlight_edges"], [29, 3, 1, "", "transparency"]], "ovito.vis.VectorVis": [[29, 3, 1, "", "alignment"], [29, 3, 1, "", "color"], [29, 3, 1, "", "color_mapping_gradient"], [29, 3, 1, "", "color_mapping_interval"], [29, 3, 1, "", "color_mapping_property"], [29, 3, 1, "", "flat_shading"], [29, 3, 1, "", "offset"], [29, 3, 1, "", "reverse"], [29, 3, 1, "", "scaling"], [29, 3, 1, "", "transparency"], [29, 3, 1, "", "width"]], "ovito.vis.Viewport": [[29, 3, 1, "", "camera_dir"], [29, 3, 1, "", "camera_pos"], [29, 3, 1, "", "camera_up"], [29, 2, 1, "", "create_qt_widget"], [29, 3, 1, "", "fov"], [29, 3, 1, "", "overlays"], [29, 2, 1, "", "render_anim"], [29, 2, 1, "", "render_image"], [29, 3, 1, "", "type"], [29, 3, 1, "", "underlays"], [29, 2, 1, "", "zoom_all"]], "ovito.vis.ViewportOverlay": [[29, 3, 1, "", "enabled"]], "ovito.vis.VoxelGridVis": [[29, 3, 1, "", "color_mapping_gradient"], [29, 3, 1, "", "color_mapping_interval"], [29, 3, 1, "", "color_mapping_property"], [29, 3, 1, "", "highlight_grid_lines"], [29, 3, 1, "", "interpolate_colors"], [29, 3, 1, "", "transparency"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:property", "4": "py:function", "5": "py:data"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "property", "Python property"], "4": ["py", "function", "Python function"], "5": ["py", "data", "Python data"]}, "titleterms": {"ovito": [0, 19, 22, 23, 24, 25, 26, 27, 28, 29], "python": [0, 5, 22], "refer": 0, "topic": [0, 1, 2, 3, 4, 20], "modul": [0, 22], "advanc": 1, "save": [1, 2], "load": [1, 2], "pipelin": [1, 19, 20, 28], "specifi": 1, "number": [1, 22], "processor": 1, "core": [1, 22], "user": 2, "defin": 2, "modifi": [2, 3, 5, 19, 27], "function": [2, 5], "implement": 2, "write": 2, "well": 2, "behav": 2, "how": 2, "comput": [2, 6, 8, 19], "inform": 2, "disk": [2, 19], "One": 2, "time": 2, "input": [2, 19], "data": [2, 3, 4, 15, 18, 19, 20, 24], "long": 2, "run": 2, "next": [2, 3, 4, 20], "manipul": 3, "ownership": 3, "announc": 3, "object": [3, 4], "modif": 3, "assign": 3, "new": 3, "particl": [3, 4, 7, 12, 16], "properti": [3, 4], "bond": [3, 6, 7], "valu": 3, "ad": 3, "global": [3, 4], "attribut": [3, 4], "simul": [3, 13, 20], "cell": 3, "direct": 3, "applic": 3, "model": 4, "tabl": 4, "surfac": 4, "mesh": 4, "code": 5, "exampl": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17], "batch": 5, "script": 5, "viewport": [5, 21], "layer": 5, "b2": 6, "cna": 6, "indic": [6, 8], "b3": 7, "creat": 7, "programmat": 7, "b1": 8, "voronoi": 8, "m6": 9, "calcul": [9, 10, 11], "local": [9, 14], "entropi": 9, "m1": 10, "mean": 10, "squar": 10, "displac": 10, "m2": 11, "custom": 11, "order": 11, "paramet": 11, "m4": 12, "find": 12, "overlap": 12, "m5": 13, "shrink": 13, "wrap": 13, "box": 13, "m3": 14, "color": 14, "map": 14, "visual": [14, 21], "lattic": 14, "orient": 14, "o2": 15, "includ": 15, "plot": 15, "render": [15, 19, 21], "imag": [15, 19], "o3": 16, "highlight": 16, "o1": 17, "scale": 17, "bar": 17, "file": 18, "i": 18, "o": 18, "import": [18, 19], "export": [18, 19], "high": 19, "level": 19, "api": 19, "overview": 19, "s": [19, 22], "architectur": 19, "from": 19, "appli": 19, "access": 19, "result": 19, "movi": 19, "further": 19, "read": 19, "process": 20, "trajectori": 20, "element": 21, "introduct": 22, "instal": 22, "your": 22, "interpret": 22, "preload": 22, "session": 22, "state": 22, "graphic": 22, "mode": 22, "cpu": 22, "third": 22, "parti": 22, "io": [25, 26], "ase": 26, "vi": 29}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 6, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx": 56}})